<?php
session_start();
include '../conn.php';

//	 check connection
if (mysqli_connect_errno()) {
    printf("Connect failed: %s\n", mysqli_connect_error());
    exit();
}

ini_set('display_errors', '1');
require 'includes/PHPMailer.php';
require 'includes/SMTP.php';
require 'includes/Exception.php';
//Define name spaces
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

date_default_timezone_set("Africa/Lagos");
$dateTime = date("M d, Y, H:i:s");
$ymd = date('ymd');
$ym = date('ym');
$date = date("M d, Y");
$date2 = new DateTime($date);
$week = $date2->format("W");
$week = date('y') . $week;
// $aid = $_SESSION['grab_admin_id'] = "me";
if (isset($_SESSION["aid"])) {
    $aid = $_SESSION['aid'];
}

class Auth
{
    function __construct()
    {
        if (array_key_exists('key', $_GET)) {
            extract($_GET);
            if ($key == "edit_form") {
                $this->update_users();
            } elseif ($key == "Withdraw") {
                $this->Withdraw();
            } elseif ($key == "Settings") {
                $this->Settings();
            } elseif ($key == "UpdatePlans") {
                $this->UpdatePlans();
            } elseif ($key == "ResetPass") {
                $this->ResetPass();
            } elseif ($key == "CreateVoucher") {
                $this->CreateVoucher();
            } elseif ($key == "Add_Product") {
                $this->Add_Product();
            }
        }
    }
    function  Add_Product()
    {
        global $conn, $date, $dateTime, $week, $ym, $ymd;
        extract($_GET);
        //Validation
        if (empty($name)) {
            echo "Product name required";
        } elseif (empty($product_img)) {
            echo "Product image required";
        } elseif (empty($daily) || $daily < 1) {
            echo "Daily earning amount required";
        } elseif (empty($amount) || $amount < 1) {
            echo "Amounty required";
        } elseif (empty($days) || $days < 1) {
            echo "Duration required";
        } elseif ($this->countall3('product', 'name', $name) > 0) {
            echo "Product already exists";
        } else {
            if (!isset($step)) {
                $sqlstr = "INSERT INTO product (name,image,days,amount,daily) VALUES (?,?,?,?,?)";
                $stmt = $conn->prepare($sqlstr);
                $stmt->bind_param("ssidd", $name, $product_img, $days, $amount, $daily);
                if ($stmt->execute()) {
                    echo 1;
                }
            } else {
                echo 1;
            }
        }
    }
    function  CreateVoucher()
    {
        global $conn, $date, $dateTime, $week, $ym, $ymd;
        extract($_GET);
        $date = date("Y-m-d");
        //Validation
        if (empty($uid)) {
            echo "User required";
        } elseif (empty($amount) || $amount < 1) {
            echo "Amount required";
        } else {
            $exp2 = "";
            if (!empty($exp)) {
                $exp2 = date("ymdHis", strtotime($exp));
                $exp = date("d/m/Y H:i:s", strtotime($exp));
            }
            $sqlstr = "INSERT INTO vouchers (exp_date,ym,ymd,week,date,dateTime,uid,amount,exp) VALUES ('$exp','$ym','$ymd','$week','$date','$dateTime','$uid','$amount','$exp2')";
            $stmt = $conn->prepare($sqlstr);
            if ($stmt) {
                $stmt->execute();
                $id = $conn->insert_id;
                $uin = str_pad($id, 4, "0", STR_PAD_LEFT);
                $user_id = "JC$uin" . strtoupper(uniqid());
                $this->update5('vouchers', 'code', $user_id, 'id', $id);
                $recipient = $this->select14('email', 'users', 'uid', $uid);
                $body = "₦" . number_format($amount, 2) . " Bonus voucher: $user_id.";
                $this->MailUser($body, $recipient, "Bonus voucher");
                echo 1;
            } else {
                echo $conn->error;
            }
        }
    }
    function MailUser($body, $recipient, $Subject)
    {
        global $conn, $date, $env;
        if ($env == "sandbox") {
            return 1;
            exit();
        }
        // $headers = "MIME-Version: 1.0" . "\r\n";
        // $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";
        // $headers .= "From: $admin_email - $wn" . "\r\n";

        // Send the email
        $mailSent = mail($recipient, $Subject, $body);
        if ($mailSent) {
            $res = 1;
            return $res;
        } else {
            $res = "We are unable to send you a verification email at this time, please try again";
            return $res;
        }
    }

    function  update_users()
    {
        global $conn, $date, $dateTime, $week, $ym, $ymd;
        extract($_GET);
        //Validation
        if (empty($email)) {
            echo 'Provide E-mail address';
        } elseif (empty($password)) {
            echo 'Provide Password';
        } else {
            $user_password = $this->select14('password', 'users', 'email', $email);
            if ($user_password == $password) {
                $hashed_password = $user_password;
            } else {
                $hashed_password = password_hash($password, PASSWORD_DEFAULT);
            }
            $sqlstr = "UPDATE users SET 
            available_balance = '$available_balance',
            password = '$hashed_password' WHERE email = '$email'";
            $stmt = $conn->prepare($sqlstr);
            if ($stmt->execute()) {
                echo 1;
            }
        }
    }
    function Withdraw()
    {
        global $conn, $date, $dateTime, $week, $ym, $ymd;
        extract($_GET);
        //Validation

        if (empty($with_id)) {
            echo 'An error occured, kindly go back and try again';
        } elseif (empty($DepositAction)) {
            echo 'An error occured, kindly go back and try again';
        } elseif (empty($user)) {
            echo 'An error occured, kindly go back and try again';
        } else {
            $amount = $this->select14('amount', 'withdrawals', 'id', $with_id);
            if ($DepositAction == "Approve") {
                $this->update5('withdrawals', 'status', 'Approved', 'id', $with_id);
                echo 1;
                // $this->MailUser("Withdraw_App", $user, $with_id);
            } else {
                if (empty($reason)) {
                    echo "Enter reason for declining";
                } else {
                    $amount = $this->select14('original_amt', 'withdrawals', 'id', $with_id);
                    $uid = $this->select14('uid', 'withdrawals', 'id', $with_id);
                    $bal = $this->select14('available_balance', 'users', 'uid', $uid);
                    $bal += $amount;
                    $this->update5('users', 'available_balance', $bal, 'uid', $uid);
                    $this->update5('withdrawals', 'reason', $reason, 'id', $with_id);
                    $this->update5('withdrawals', 'status', 'Declined', 'id', $with_id);
                    echo 1;
                }
            }
        }
    }

    function  Settings()
    {
        global $conn, $date, $dateTime, $week, $ym, $ymd;
        extract($_GET);
        //Validation
        if (empty($name)) {
            echo 'Website name required';
        } elseif (empty($site_link)) {
            echo 'Web Address required';
        } else {
            $sqlstr = "UPDATE website_details SET name = '$name',
            mid = '$mid',
            api_key = '$api_key',
            telegram = '$telegram',
            wa = '$wa',
            site_link = '$site_link',
            withdrawal = '$withdrawal',
            min_withdraw = '$min_withdraw',
            max_withdraw = '$max_withdraw',
            with_per = '$with_per',
            bonus = '$bonus',
            reg_bonus = '$reg_bonus',
            ref_per = '$ref_per'";
            $stmt = $conn->prepare($sqlstr);
            if ($stmt->execute()) {
                echo 1;
            } else {
                echo "An error occurred. Please try again";
            }
        }
    }


    function Web($val)
    {
        global $conn, $uid;
        $sqlstr = "SELECT $val FROM website_details";
        $stmt = $conn->prepare($sqlstr);
        $stmt->execute();
        $result = $stmt->get_result();
        $x = $result->num_rows;
        if ($x > 0) {
            while ($row = $result->fetch_assoc()) {
                $res = $row[$val];
            }
        } else {
            $res = 0;
        }
        return $res;
    }



    function  UpdatePlans()
    {
        global $conn, $date, $dateTime, $week, $ym, $ymd;
        extract($_GET);
        if (empty($pid)) {
            echo "An error occurred";
        } elseif (empty($name)) {
            echo "Plan name required";
        } elseif (empty($amount) || $amount < 1) {
            echo "Amount required";
        } elseif (empty($daily) || $daily < 1) {
            echo "Daily earning required";
        } elseif (empty($days) || $days < 1) {
            echo "Days required";
        } else {
            $sql = "UPDATE product SET name='$name',
            amount='$amount',
            daily='$daily',
            days='$days' WHERE id = '$pid'";
            $queryRun = mysqli_query($conn, $sql);
            if ($queryRun) {
                echo 1;
            } else {
                echo "An error occured try again";
            }
        }
    }


    function getFirstWord($string)
    {
        global $conn, $mid;
        $arr = explode(' ', trim($string));
        return isset($arr[0]) ? $arr[0] : $string;
    }

    function countall1($table)
    {
        global $conn;
        $sqlstr = "SELECT * FROM $table";
        $stmt = $conn->prepare($sqlstr);
        $stmt->execute();
        $result = $stmt->get_result();
        return $result->num_rows;
    }

    function countall3($table, $col, $val)
    {
        global $conn;
        $sqlstr = "SELECT * FROM $table WHERE $col = '$val'";
        $stmt = $conn->prepare($sqlstr);
        $stmt->execute();
        $result = $stmt->get_result();
        return $result->num_rows;
    }


    function countall5($table, $col, $val, $col2, $val2)
    {
        global $conn;
        $sqlstr = "SELECT * FROM $table WHERE $col = '$val' && $col2 = '$val2'";
        $stmt = $conn->prepare($sqlstr);
        $stmt->execute();
        $result = $stmt->get_result();
        return $result->num_rows;
    }

    function countall7($table, $col, $val, $col2, $val2, $col3, $val3)
    {
        global $conn;
        $sqlstr = "SELECT * FROM $table WHERE $col = '$val' && $col2 = '$val2'&& $col3 = '$val3'";
        $stmt = $conn->prepare($sqlstr);
        $stmt->execute();
        $result = $stmt->get_result();
        return $result->num_rows;
    }
    function update5($table, $col, $val, $con, $val2)
    {
        global $conn;
        $sqlstr = "UPDATE $table SET $col = '$val' WHERE $con = '$val2'";
        $stmt = $conn->prepare($sqlstr);
        $stmt->execute();
    }

    function select14($val, $table, $col, $val2)
    {
        global $conn;
        $sqlstr = "SELECT $val FROM $table WHERE $col = ? ORDER BY id DESC LIMIT 1";
        $stmt = $conn->prepare($sqlstr);
        $stmt->bind_param("s", $val2);
        $stmt->execute();
        $result = $stmt->get_result();
        $x = $result->num_rows;
        if ($x > 0) {
            while ($row = $result->fetch_assoc()) {
                $res = $row[$val];
            }
        } else {
            $res = 0;
        }
        return $res;
    }
    function select16($val, $table, $col, $val2, $col2, $val3)
    {
        global $conn;
        $sqlstr = "SELECT $val FROM $table WHERE $col = '$val2' AND $col2 = '$val3' ORDER BY id DESC LIMIT 1";
        $stmt = $conn->prepare($sqlstr);
        $stmt->execute();
        $result = $stmt->get_result();
        $x = $result->num_rows;
        if ($x > 0) {
            while ($row = $result->fetch_assoc()) {
                $res = $row[$val];
            }
        } else {
            $res = 0;
        }
        return $res;
    }
    function select18($val, $table, $col, $val2, $col2, $val3, $col3, $val4)
    {
        global $conn;
        $sqlstr = "SELECT $val FROM $table WHERE $col = '$val2' AND $col2 = '$val3' AND $col3 = '$val4' ORDER BY id DESC LIMIT 1";
        $stmt = $conn->prepare($sqlstr);
        $stmt->execute();
        $result = $stmt->get_result();
        $x = $result->num_rows;
        if ($x > 0) {
            while ($row = $result->fetch_assoc()) {
                $res = $row[$val];
            }
        } else {
            $res = 0;
        }
        return $res;
    }
    function select12($val, $table)
    {
        global $conn;
        $sqlstr = "SELECT $val FROM $table";
        $stmt = $conn->prepare($sqlstr);
        $stmt->execute();
        $result = $stmt->get_result();
        $x = $result->num_rows;
        if ($x > 0) {
            while ($row = $result->fetch_assoc()) {
                $res = $row[$val];
            }
        } else {
            $res = 0;
        }
        return $res;
    }
}
$auth = new Auth;
$wn = $auth->select12('name', 'website_details');
$wd = "website_details";
$Tdeposit = 0;

$sql = "SELECT *, SUM(amount) AS TOTALAmt FROM withdrawals";
$result = mysqli_query($conn, $sql);
$row = mysqli_fetch_array($result);
$Twithdraw = $row['TOTALAmt'];
