<?php require_once 'class.php';
if (!isset($aid)) {
    header('location: login.php');
}
$sqlstr = "SELECT * FROM website_details";
$stmt = $conn->prepare($sqlstr);
$stmt->execute();
$result = $stmt->get_result();
$row = $result->fetch_assoc();
extract($row);
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Settings</title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <!-- Ionicons -->
    <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <!-- SweetAlert2 -->
    <link rel="stylesheet" href="plugins/sweetalert2/sweetalert2.min.css">
    <!-- Toastr -->
    <link rel="stylesheet" href="plugins/toastr/toastr.min.css">
    <!-- daterange picker -->
    <link rel="stylesheet" href="plugins/daterangepicker/daterangepicker.css">
    <!-- iCheck for checkboxes and radio inputs -->
    <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css">
    <!-- Bootstrap Color Picker -->
    <link rel="stylesheet" href="plugins/bootstrap-colorpicker/css/bootstrap-colorpicker.min.css">
    <!-- Tempusdominus Bootstrap 4 -->
    <link rel="stylesheet" href="plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css">
    <!-- Select2 -->
    <link rel="stylesheet" href="plugins/select2/css/select2.min.css">
    <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
    <!-- Bootstrap4 Duallistbox -->
    <link rel="stylesheet" href="plugins/bootstrap4-duallistbox/bootstrap-duallistbox.min.css">
    <!-- BS Stepper -->
    <link rel="stylesheet" href="plugins/bs-stepper/css/bs-stepper.min.css">
    <!-- dropzonejs -->
    <link rel="stylesheet" href="plugins/dropzone/min/dropzone.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <link rel="stylesheet" href="izitoast/css/iziToast.min.css">
</head>

<body class="hold-transition sidebar-mini">
    <div class="wrapper">
        <?php
        include 'includes/navbar.php';
        include 'includes/sidebar.php';
        ?>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">

            <!-- Main content -->
            <section class="content">
                <form id='Settings'>
                    <div class="row">
                        <div class="col-12 col-sm-12 col-lg-12 col-md-12">
                            <div class="card card-primary card-tabs">
                                <div class="card-header p-0 pt-1">
                                    <ul class="nav nav-tabs" id="custom-tabs-one-tab" role="tablist">
                                        <li class="nav-item">
                                            <a class="nav-link active" id="custom-tabs-one-home-tab" data-toggle="pill" href="#custom-tabs-one-home" role="tab" aria-controls="custom-tabs-one-home" aria-selected="true">Website
                                                Data</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link" id="custom-tabs-one-profile-tab" data-toggle="pill" href="#custom-tabs-one-profile" role="tab" aria-controls="custom-tabs-one-profile" aria-selected="false">Withdrawal/Deposit Settings</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link" id="custom-tabs-one-messages-tab" data-toggle="pill" href="#custom-tabs-one-messages" role="tab" aria-controls="custom-tabs-one-messages" aria-selected="false">Payment
                                                Settings</a>
                                        </li>
                                        <li class="nav-item">
                                            <a class="nav-link" id="custom-tabs-one-settings-tab" data-toggle="pill" href="#custom-tabs-one-settings" role="tab" aria-controls="custom-tabs-one-settings" aria-selected="false">API Settings</a>
                                        </li>
                                    </ul>
                                </div>
                                <div class="card-body">
                                    <div class="tab-content" id="custom-tabs-one-tabContent">
                                        <div class="WebsiteDataSettings tab-pane fade show active" id="custom-tabs-one-home" role="tabpanel" aria-labelledby="custom-tabs-one-home-tab">
                                            <label>Website Name</label>
                                            <input class='form-control' name="name" value="<?= $name ?>">

                                            <label>Telegram group chat link</label>
                                            <input class='form-control' type="text" name="telegram" value="<?= $telegram ?>">
                                            <label>Whatsapp group chat link</label>
                                            <input class='form-control' type="text" name="wa" value="<?= $wa ?>">


                                            <label>Website link (Format: https://abcd.com)</label>
                                            <input class='form-control' type="text" name="site_link" value="<?= $site_link ?>">
                                        </div>
                                        <div class="WithdrawalSettings tab-pane fade" id="custom-tabs-one-profile" role="tabpanel" aria-labelledby="custom-tabs-one-profile-tab">
                                            <label>Withdrawal</label>
                                            <select class='form-control' name="withdrawal">
                                                <option value="<?= $withdrawal ?>"><?= ucwords($withdrawal) ?></option>
                                                <option value="enabled">Enable</option>
                                                <option value="disabled">Disable</option>
                                            </select>

                                            <label>Min Withdrawal Amt. (₦)</label>
                                            <input class='form-control' name="min_withdraw" value="<?= $min_withdraw ?>">


                                            <label>Max Withdrawal Amt. (₦)</label>
                                            <input class='form-control' name="max_withdraw" value="<?= $max_withdraw ?>">


                                            <label>Withdrawal charges. (%)</label>
                                            <input class='form-control' name="with_per" value="<?= $with_per ?>">
                                        </div>
                                        <div class="PaymentSettings tab-pane fade" id="custom-tabs-one-messages" role="tabpanel" aria-labelledby="custom-tabs-one-messages-tab">
                                            <label>Daily Login bonus amount</label>
                                            <input class='form-control' name="bonus" value="<?= $bonus ?>">

                                            <label>Registration bonus (₦)</label>
                                            <input type="text" class='form-control' name="reg_bonus" value="<?= $reg_bonus ?>">

                                            <label>Referral earning. (%)</label>
                                            <input class='form-control' name="ref_per" value="<?= $ref_per ?>">
                                        </div>
                                        <div class="tab-pane fade" id="custom-tabs-one-settings" role="tabpanel" aria-labelledby="custom-tabs-one-settings-tab">

                                            <label>PaymentBridge Merchant ID</label>
                                            <input class='form-control' name="mid" value="<?= $mid ?>">


                                            <label>PaymentBridge API Key</label>
                                            <input class='form-control' name="api_key" value="<?= $api_key ?>">
                                        </div>
                                    </div>
                                </div>
                                <!-- /.card -->
                            </div>
                        </div>
                    </div>


                    <button id="btn1" onclick="submitForm('btn1', 'btn2', 'Settings','Updated successfully')" type="button" class="btn btn-success">
                        UPDATE
                    </button>
                    <button id="btn2" disabled type="button" class="btn btn-warning loading">
                        PLEASE WAIT <i class="fa fa-spinner fa-spin"></i>
                    </button>
                </form>

            </section>
        </div>
        <!-- /.content-wrapper -->

        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark">
            <!-- Control sidebar content goes here -->
        </aside>
        <!-- /.control-sidebar -->
    </div>
    <!-- ./wrapper -->

    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.min.js"></script>
    <script src="plugins/dropzone/min/dropzone.min.js"></script>
    <!-- Select2 -->
    <script src="plugins/select2/js/select2.full.min.js"></script>
    <!-- Bootstrap4 Duallistbox -->
    <script src="plugins/bootstrap4-duallistbox/jquery.bootstrap-duallistbox.min.js"></script>
    <!-- InputMask -->
    <script src="plugins/moment/moment.min.js"></script>
    <script src="plugins/inputmask/jquery.inputmask.min.js"></script>
    <!-- date-range-picker -->
    <script src="plugins/daterangepicker/daterangepicker.js"></script>
    <!-- bootstrap color picker -->
    <script src="plugins/bootstrap-colorpicker/js/bootstrap-colorpicker.min.js"></script>
    <!-- Tempusdominus Bootstrap 4 -->
    <script src="plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js"></script>
    <!-- Bootstrap Switch -->
    <script src="plugins/bootstrap-switch/js/bootstrap-switch.min.js"></script>
    <!-- BS-Stepper -->
    <script src="plugins/bs-stepper/js/bs-stepper.min.js"></script>
    <!-- SweetAlert2 -->
    <script src="plugins/sweetalert2/sweetalert2.min.js"></script>
    <!-- Toastr -->
    <script src="plugins/toastr/toastr.min.js"></script>
    <script src="izitoast/js/iziToast.min.js"></script>
    <script src="js.js"></script>
</body>
<?php
//Edit subscriber details
?>

</body>


</html>