<html class=" js no-touch">
<?php
include 'class.php';
if (!isset($uid)) {
    header("Location: login");
}
$pageTitle = "Profile";
include 'includes/head.php';
$profile_on = "on";
?>


<body class="frame">
    <div class="page-foot user">
        <div class="user-head">
            <div class="user-item">
                <div class="space-20"></div>
                <div class="user-mobile">Membership ID : <?= $auth->Get('user_id') ?></div>
                <div class="space-10"></div>
                <div class="user-mobile">Mobile : <?= $auth->Get('phone') ?></div>
                <div class="space-10"></div>
                <div class="user-mobile">Full name : <?= $auth->Get('account_name') ?></div>
                <?php
                $acc = $auth->GetAcc();
                ?>
                <div class="space-10"></div>
                <div class="user-mobile">Bank Name : <?= $acc['bank'] ?></div>
                <div class="space-10"></div>
                <div class="user-mobile">Account Number : <?= $acc['account_number'] ?></div>
            </div>
            <div class="user-item">
                <img id="avatar" src="img/login.jpg"><input class="layui-upload-file" type="file" accept="" name="file">
            </div>
        </div>


        <div class="user-main">
            <div class="user-dl">
                <div class="user-dd">
                    <label>Account Balance</label>
                    <span>₦<?= number_format($auth->Get('available_balance'), 2) ?></span>
                </div>
                <div class="user-dd">
                    <label>Assets</label>
                    <span>₦<?= number_format($auth->TotalAsset(), 2) ?></span>
                </div>
                <div class="user-dd">
                    <label>Withdrawn</label>
                    <span>₦<?= number_format($auth->TotalWithdrawn(), 2) ?></span>
                </div>
                <div class="user-dd">
                    <label>Total income</label>
                    <span>₦<?= number_format($auth->TotalIncome(), 2) ?></span>
                </div>
                <div class="user-dd">
                    <label>Today income</label>
                    <span>₦<?= number_format($auth->TotalIncome("today"), 2) ?></span>
                </div>
                <div class="user-dd">
                    <label>Team income</label>
                    <span>₦<?= number_format($auth->TeamIncome('all'), 2) ?></span>
                </div>
            </div>
        </div>
        <div class="user-nav">
            <ul>
                <li>
                    <a href="deposit-history">
                        <img src="img/user01.png">
                        <span>Deposit History</span>
                        <img src="img/icon8.png">
                    </a>
                </li>
                <li>
                    <a href="withdraw-history">
                        <img src="img/user02.png">
                        <span>Withdrawal History</span>
                        <img src="img/icon8.png">
                    </a>
                </li>
                <li>
                    <a href="trx-history">
                        <img src="img/user03.png">
                        <span>Transactions</span>
                        <img src="img/icon8.png">
                    </a>
                </li>
            </ul>
        </div>
        <div class="user-nav">
            <ul>
                <li>
                    <a href="password">
                        <img src="img/user05.png">
                        <span>Set New Password</span>
                        <img src="img/icon8.png">
                    </a>
                </li>
                <?php
                if ($auth->Web('telegram') != "") {
                ?>
                    <li>
                        <a href="<?= $auth->Web('telegram') ?>" target="_blank">
                            <img src="img/user06.png">
                            <span>Company Telegram</span>
                            <img src="img/icon8.png">
                        </a>
                    </li>
                <?php } ?>

                <li>
                    <a href="index/?logout=1">
                        <img src="img/user08.png">
                        <span>Sign out</span>
                        <img src="img/icon8.png">
                    </a>
                </li>
            </ul>
        </div>
        <div class="space-30"></div>
    </div>
    <?php
    include 'includes/footer.php';
    ?>

</body>

</html>