<?php

require_once "../class.php";
header("Access-Control-Allow-Origin: *");
header("Access-Control-Allow-Methods: POST");
header('Content-Type: application/json');
$requestMethod = $_SERVER["REQUEST_METHOD"];
$res = 0;
$msg = "An error occured";
$request_body_data = file_get_contents("php://input", true);
// Check if data is sent correctly
if ($request_body_data != "") {
    $arr_check = json_decode($request_body_data, true);
    if (!is_array($arr_check)) {
        $result = array("status" => "error", "message" => "Invalid data sent", "data" => array());
        echo json_encode($result);
        header("HTTP/1.0 400");
        exit();
    }
    if (ValidateAPIKey() == 1) {
        $account_number = $arr_check['account_number'];
        $amount = $arr_check['amount'];
        $sessionId = $arr_check['sessionId'];
        $settlementId = $arr_check['settlementId'];
        $details = "";
        if ($auth->countall3('virtual_accounts', 'account_number', $account_number) > 0) {
            $uid = $auth->select14('uid', 'virtual_accounts', 'account_number', $account_number);
            $sqlstr = "INSERT INTO virtual_accounts_log (uid,ym,ymd,week,date,dateTime,account_number,amount,settlementId,sessionId,details) VALUES ('$uid','$ym','$ymd','$week','$date','$dateTime','$account_number','$amount','$settlementId','$sessionId','$details')";
            $stmt = $conn->prepare($sqlstr);
            if ($stmt) {
                $stmt->execute();
                $id = $conn->insert_id;
                $res = 1;
                $available_balance = $auth->select14('available_balance', 'users', 'uid', $uid);
                $available_balance += $amount;
                $body = "Recharge of ₦" . number_format($amount, 2) . " was successful.";
                $recipient = $auth->select14('email', 'users', 'uid', $uid);
                $auth->MailUser($body, $recipient, "Recharge");
                $auth->update5('users', 'available_balance', $available_balance, 'uid', $uid);
                $auth->Transactions($uid, 'recharge', $id, 'virtual_accounts_log', 'credit', $amount);
            } else {
                $msg = $conn->error;
            }
        }
    }
}

function ValidateAPIKey()
{
    require_once 'validator.php';
    $token = get_bearer_token();
    if ($token == "eyJhbGciOiJIUznMTr0VxqL3kZf8v8SvoJiC_1CcUojjV9yEgX") {
        return 1;
        exit;
    } else {
        return 0;
    }
}
