<?php require_once 'controllers/authController.php';
if (!isset($_SESSION['deluxe_admin_id'])) {
    header('location: login.php');
    exit();
}
if (isset($_GET['id'])) {
    $id = $_GET['id'];
    $sqlstr = "SELECT * FROM payment_proof WHERE id = ?";
    $stmt = $conn->prepare($sqlstr);
    $stmt->bind_param("i", $id);
    $stmt->execute();
    $result = $stmt->get_result();
    while ($row = $result->fetch_assoc()) {
        $idd = $row['id'];
        $email = $row['email'];
        $date = $row['date'];
        $amount = $row['amount'];
        $image = $row['image'];
        $merge_id = $row['merge_id'];
        $gh_plan_id = $row['gh_plan_id'];
        $ph_plan_id = $row['ph_plan_id'];
    }
}

?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>POPs</title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <!-- Ionicons -->
    <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <!-- SweetAlert2 -->
    <link rel="stylesheet" href="plugins/sweetalert2/sweetalert2.min.css">
    <!-- Toastr -->
    <link rel="stylesheet" href="plugins/toastr/toastr.min.css">
    <!-- daterange picker -->
    <link rel="stylesheet" href="plugins/daterangepicker/daterangepicker.css">
    <!-- iCheck for checkboxes and radio inputs -->
    <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css">
    <!-- Bootstrap Color Picker -->
    <link rel="stylesheet" href="plugins/bootstrap-colorpicker/css/bootstrap-colorpicker.min.css">
    <!-- Tempusdominus Bootstrap 4 -->
    <link rel="stylesheet" href="plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css">
    <!-- Select2 -->
    <link rel="stylesheet" href="plugins/select2/css/select2.min.css">
    <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
    <!-- Bootstrap4 Duallistbox -->
    <link rel="stylesheet" href="plugins/bootstrap4-duallistbox/bootstrap-duallistbox.min.css">
    <!-- BS Stepper -->
    <link rel="stylesheet" href="plugins/bs-stepper/css/bs-stepper.min.css">
    <!-- dropzonejs -->
    <link rel="stylesheet" href="plugins/dropzone/min/dropzone.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <style>
        table {
            border-collapse: collapse;
            border-spacing: 0;
            width: 100%;
            border: 1px solid #ddd;
        }

        th,
        td {
            text-align: left;
            padding: 16px;
        }

        tr:nth-child(even) {
            background-color: #f2f2f2;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini">
    <div class="wrapper">
        <?php
        include 'includes/navbar.php';
        include 'includes/sidebar.php';
        ?>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">

            <!-- Main content -->
            <section class="content">
                <div class="row">
                    <div class="col-12">
                        <h4>Payment Details</h4>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 col-sm-6 col-lg-6 col-md-6">
                        <div class="card card-primary card-tabs">
                            <div class="card-header p-0 pt-1">
                                <ul class="nav nav-tabs" id="custom-tabs-one-tab" role="tablist">
                                    <li class="nav-item">
                                        <a class="nav-link active" id="custom-tabs-one-home-tab" data-toggle="pill" href="#custom-tabs-one-home" role="tab" aria-controls="custom-tabs-one-home" aria-selected="true">SENDER DETAILS</a>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link" id="custom-tabs-one-home-tab2" data-toggle="pill" href="#custom-tabs-one-home2" role="tab" aria-controls="custom-tabs-one-home2" aria-selected="true">RECEIVER DETAILS</a>
                                    </li>
                                </ul>
                            </div>
                            <div class="card-body">
                                <div class="tab-content" id="custom-tabs-one-tabContent">
                                    <div class="tab-pane fade show active" id="custom-tabs-one-home" role="tabpanel" aria-labelledby="custom-tabs-one-home-tab">
                                        <form id="amt">
                                            <table>
                                                <tr>
                                                    <td><b>E-mail:</b><b style="float: right;"><?= $email ?></b></td>
                                                </tr>
                                                <?php
                                                $sqlstr = "SELECT * FROM users WHERE email = '$email'";
                                                $stmt = $conn->prepare($sqlstr);
                                                $stmt->execute();
                                                $result = $stmt->get_result();
                                                while ($row = $result->fetch_assoc()) {
                                                    $name = $row['surname'] . " " . $row['first_name'] . " " . $row['other_name'];
                                                    $phone_number = $row['phone_number'];
                                                }
                                                ?>
                                                <tr>
                                                    <td><b>Full name</b><b style="float: right;"><?= $name ?></b></td>
                                                </tr>
                                                <tr>
                                                    <td><b>Phone number</b><b style="float: right;"><?= $phone_number ?></b></td>
                                                </tr>
                                                <tr>
                                                    <td><b>Expected Amount</b><b style="float: right;">₦ <?= number_format($amount) ?></b></td>
                                                </tr>
                                                <tr>
                                                    <td><b>Payment Date</b><b style="float: right;"><?= $date ?></b></td>
                                                </tr>
                                            </table>

                                            <input type="hidden" name="id" value="<?= $idd ?>">
                                            <input type="hidden" name="email" value="<?= $email ?>">
                                            <input type="hidden" name="merge_id" value="<?= $merge_id ?>">
                                            <input type="hidden" name="amount" value="<?= $amount ?>">
                                            <input type="hidden" name="gh_plan_id" value="<?= $gh_plan_id ?>">
                                            <input type="hidden" name="ph_plan_id" value="<?= $ph_plan_id ?>">
                                        </form>
                                    </div>
                                    <div class="tab-pane fade show" id="custom-tabs-one-home2" role="tabpanel" aria-labelledby="custom-tabs-one-home-tab2">
                                        <form id="amt">
                                            <table>
                                                <?php
                                                $sqlstr = "SELECT * FROM merging WHERE gh_plan_id = '$gh_plan_id'";
                                                $stmt = $conn->prepare($sqlstr);
                                                $stmt->execute();
                                                $result = $stmt->get_result();
                                                while ($row = $result->fetch_assoc()) {
                                                    $gh_plan_email = $row['gh_email'];
                                                }


                                                $sqlstr = "SELECT * FROM users WHERE email = '$gh_plan_email'";
                                                $stmt = $conn->prepare($sqlstr);
                                                $stmt->execute();
                                                $result = $stmt->get_result();
                                                while ($row = $result->fetch_assoc()) {
                                                    $name = $row['surname'] . " " . $row['first_name'] . " " . $row['other_name'];
                                                    $phone_number = $row['phone_number'];
                                                    $dummy = $row['dummy'];
                                                    $acc_dts = $row['bank_name'] . "(" . $row['account_number'] . ")";
                                                }
                                                if ($dummy == 1) {
                                                    $info = " (Dummy user)";
                                                } else {
                                                    $info = "";
                                                }
                                                ?>
                                                <tr>
                                                    <td><b>E-mail:</b><b style="float: right;"><?= $gh_plan_email . $info ?></b></td>
                                                </tr>
                                                <tr>
                                                    <td><b>Full name</b><b style="float: right;"><?= $name ?></b></td>
                                                </tr>
                                                <tr>
                                                    <td><b>Phone number</b><b style="float: right;"><?= $phone_number ?></b></td>
                                                </tr>
                                                <tr>
                                                    <td><b>Account Dtls</b><b style="float: right;"><?= $acc_dts ?></b></td>
                                                </tr>
                                                <tr>
                                                    <td><b>Payment Date</b><b style="float: right;"><?= $date ?></b></td>
                                                </tr>
                                            </table>

                                            <input type="hidden" name="id" value="<?= $idd ?>">
                                            <input type="hidden" name="email" value="<?= $email ?>">
                                            <input type="hidden" name="merge_id" value="<?= $merge_id ?>">
                                            <input type="hidden" name="amount" value="<?= $amount ?>">
                                            <input type="hidden" name="gh_plan_id" value="<?= $gh_plan_id ?>">
                                            <input type="hidden" name="ph_plan_id" value="<?= $ph_plan_id ?>">
                                        </form>
                                    </div>
                                </div>
                            </div><br>
                            <form id="reason_form">
                                <input type="hidden" name="id" value="<?= $idd ?>">
                                <label>Reason for rejecting POP</label>
                                <textarea class="form-control" id="reasonss" name="reason"></textarea>
                                <button style="margin-top:10px;" type="button" id="decline_btn" class=" btn btn-danger">REJECT</button>
                                <button style="margin-top:10px; background-color:grey;" type="button" id="decline_btn3" class=" btn btn-default">CANCEL</button>
                            </form>
                            <button type="button" id="decline_btn2" class=" btn btn-danger">Reject POP</button>
                            <button type="button" id="approve" class="btn btn-success">Approve POP</button>
                            <!-- /.card -->
                        </div>
                    </div>
                    <div class="col-12 col-sm-6 col-lg-6 col-md-6">
                        <div class="card card-primary card-tabs">
                            <div class="card-header p-0 pt-1">
                                <ul class="nav nav-tabs" id="custom-tabs-two-tab" role="tablist">
                                    <li class="pt-2 px-3">
                                        <h3 class="card-title">Proof of Payment</h3>
                                    </li>
                                    <li class="nav-item">
                                        <a class="nav-link" id="custom-tabs-two-home-tab" data-toggle="pill" href="#custom-tabs-two-home" role="tab" aria-controls="custom-tabs-two-home" aria-selected="true">
                                            <c style="color:blue;">.</c>
                                        </a>
                                    </li>
                                </ul>
                            </div>
                            <div class="card-body">
                                <div class="tab-content" id="custom-tabs-two-tabContent">
                                    <div class="tab-pane fade show active" id="custom-tabs-two-home" role="tabpanel" aria-labelledby="custom-tabs-two-home-tab">
                                        <!-- Trigger the Modal -->
                                        <img id="myImg" src="<?= $image ?>" alt="Proof" style="width:100%;max-width:300px">

                                        <!-- The Modal -->
                                        <div id="myModal" class="modal">

                                            <!-- The Close Button -->
                                            <span class="close">&times;</span>

                                            <!-- Modal Content (The Image) -->
                                            <img class="modal-content" id="img01">

                                            <!-- Modal Caption (Image Text) -->
                                            <div id="caption"></div>
                                        </div>
                                    </div>
                                </div>
                            </div>
                            <!-- /.card -->
                        </div>
                    </div>
                </div>
            </section>
        </div>
        <!-- /.content-wrapper -->

        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark">
            <!-- Control sidebar content goes here -->
        </aside>
        <!-- /.control-sidebar -->
    </div>
    <!-- ./wrapper -->

    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.min.js"></script>
    <script src="plugins/dropzone/min/dropzone.min.js"></script>
    <!-- Select2 -->
    <script src="plugins/select2/js/select2.full.min.js"></script>
    <!-- Bootstrap4 Duallistbox -->
    <script src="plugins/bootstrap4-duallistbox/jquery.bootstrap-duallistbox.min.js"></script>
    <!-- InputMask -->
    <script src="plugins/moment/moment.min.js"></script>
    <script src="plugins/inputmask/jquery.inputmask.min.js"></script>
    <!-- date-range-picker -->
    <script src="plugins/daterangepicker/daterangepicker.js"></script>
    <!-- bootstrap color picker -->
    <script src="plugins/bootstrap-colorpicker/js/bootstrap-colorpicker.min.js"></script>
    <!-- Tempusdominus Bootstrap 4 -->
    <script src="plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js"></script>
    <!-- Bootstrap Switch -->
    <script src="plugins/bootstrap-switch/js/bootstrap-switch.min.js"></script>
    <!-- BS-Stepper -->
    <script src="plugins/bs-stepper/js/bs-stepper.min.js"></script>
    <!-- SweetAlert2 -->
    <script src="plugins/sweetalert2/sweetalert2.min.js"></script>
    <!-- Toastr -->
    <script src="plugins/toastr/toastr.min.js"></script>
    <script>
        $(document).ready(function() {
            $("#reason_form, #decline_btn").hide();
            $("#decline_btn2").click(function() {
                $("#decline_btn2, #approve").hide();
                $("#reason_form, #decline_btn").show();
            });
            $("#decline_btn3").click(function() {
                $("#reason_form, #decline_btn").hide();
                $("#decline_btn2, #approve").show();
            });
            var Toast = Swal.mixin({
                toast: true,
                position: 'top-end',
                showConfirmButton: false,
                timer: 3000
            })
            $("#approve").click(function() {
                var formdata = "skey=accept_deposit&" + $("#amt").serialize();
                $.post("action/action4.php", formdata).done(function(data) {
                    // Success messages
                    if (data != 1) {
                        Toast.fire({
                            icon: 'error',
                            position: 'center',
                            title: data.trim()
                        })
                    } else {
                        Toast.fire({
                            icon: 'success',
                            position: 'center',
                            title: 'Deposit approved successfully'
                        })
                        setTimeout(function() {
                            location.href = "pop.php";
                        }, 1000);
                    }
                });
            });
            $("#decline_btn").click(function() {
                var formdata = "skey=decline_deposit&reason=" + $("#reasonss").val() + "&" + $("#amt").serialize();
                $.post("action/action4.php", formdata).done(function(data) {
                    // Success messages
                    if (data != 1) {
                        Toast.fire({
                            icon: 'error',
                            position: 'center',
                            title: data.trim()
                        })
                    } else {
                        Toast.fire({
                            icon: 'success',
                            position: 'center',
                            title: 'Deposit declined successfully'
                        })
                        setTimeout(function() {
                            location.href = "pop.php";
                        }, 1000);
                    }
                });
            });
        });
    </script>
</body>

</html>