<?php
?>
<div class="container-fluid">


    <div class="card card-success">
        <div class="card-header">
            <h3 class="card-title">ADD A NEW USER</h3>
        </div>
        <!-- /.card-header -->
        <!-- Success message start -->
        <?php if (count($completes) > 0) : ?>
        <div class="alert alert-success">
            <?php foreach ($completes as $complete) : ?>
            <li><?php echo $complete; ?></li>
            <?php endforeach; ?>
        </div>
        <?php endif; ?>
        <!-- Success message end -->

        <!-- Error message start -->
        <?php if (count($errors) > 0) : ?>
        <div class="alert alert-danger">
            <?php foreach ($errors as $error) : ?>
            <li><?php echo $error; ?></li>
            <?php endforeach; ?>
        </div><br>
        <?php endif; ?>
        <!-- Error message end -->
        <!-- form start -->
        <form action="adduser.php" method="POST">
            <div class="card-body">
                <div class="form-group">
                    <label for="exampleInputEmail1">Email address</label>
                    <input type="email" name="email" class="form-control" id="exampleInputEmail1" placeholder="Enter email">
                </div>
                <div class="form-group">
                    <label for="exampleInputPassword1">Username</label>
                    <input type="text" name="username" class="form-control" id="exampleInputPassword1"
                        placeholder="Please Enter  username">
                </div>
                <div class="form-group">
                    <label for="exampleInputPassword1">Password</label>
                    <input type="password" name="password" class="form-control" id="exampleInputPassword1"
                        placeholder="Please Enter Password">
                </div>
                <div class="form-group">
                    <label for="exampleInputPassword1">Confirm Password</label>
                    <input type="password" name="passwordConf" class="form-control" id="exampleInputPassword1" placeholder="Please Enter Password again">
                </div>
                <div class="form-group">
                    <label for="exampleInputPassword1">Select Plan</label>
                    <select class="form-control" name="plan" placeholder="Select your payment method"
                        style="width: 100%;">
                        <option type="text" value="free">Free</option>
                        <option type="text" value="basic">Basic</option>
                        <option type="text" value="silver">Silver</option>
                        <option type="text" value="gold">Gold</option>
                    </select>
                </div>
                <div class="form-group">
                    <label for="exampleInputPassword1">Time</label>
                    <input type="time" name="starttime" class="form-control" id="exampleInputPassword1" placeholder="Please Enter Password again">
                </div>
            </div>
            <!-- /.card-body -->

            <div class="card-footer">
                <button type="submit" name="add-user" class="btn btn-success">Submit</button> <button type="reset"  class="btn btn-danger">Reset</button>
            </div>
        </form>
    </div>
</div>