<?php require_once 'class.php';
if (!isset($aid)) {
    header('location: login.php');
}
if (isset($_GET['action']) && $_GET['action'] == 'Log_user') {
    $uid = $_GET['uid'];
    $_SESSION['uid'] = $uid;
    header('location: ../');
}
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Dashboard</title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/material-design-icons/3.0.1/iconfont/material-icons.min.css">
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <!-- Ionicons -->
    <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
    <!-- Tempusdominus Bootstrap 4 -->
    <link rel="stylesheet" href="plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css">
    <!-- iCheck -->
    <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css">
    <!-- JQVMap -->
    <link rel="stylesheet" href="plugins/jqvmap/jqvmap.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <!-- overlayScrollbars -->
    <link rel="stylesheet" href="plugins/overlayScrollbars/css/OverlayScrollbars.min.css">
    <!-- Daterange picker -->
    <link rel="stylesheet" href="plugins/daterangepicker/daterangepicker.css">
    <!-- summernote -->
    <link rel="stylesheet" href="plugins/summernote/summernote-bs4.min.css">
    <link rel="stylesheet" href="styles.css">
    <link rel="stylesheet" href="izitoast/css/iziToast.min.css">
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">


        <?php
        include 'includes/navbar.php';
        include 'includes/sidebar.php';
        include 'includes/content.php';
        ?>

        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark">
            <!-- Control sidebar content goes here -->
        </aside>
        <!-- /.control-sidebar -->
    </div>
    <!-- wrapper -->

    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- jQuery UI 1.11.4 -->
    <script src="plugins/jquery-ui/jquery-ui.min.js"></script>
    <!-- Resolve conflict in jQuery UI tooltip with Bootstrap tooltip -->
    <script>
        $.widget.bridge('uibutton', $.ui.button);
    </script>
    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- ChartJS -->
    <script src="plugins/chart.js/Chart.min.js"></script>
    <!-- Sparkline -->
    <script src="plugins/sparklines/sparkline.js"></script>
    <!-- JQVMap -->
    <script src="plugins/jqvmap/jquery.vmap.min.js"></script>
    <script src="plugins/jqvmap/maps/jquery.vmap.usa.js"></script>
    <!-- jQuery Knob Chart -->
    <script src="plugins/jquery-knob/jquery.knob.min.js"></script>
    <!-- daterangepicker -->
    <script src="plugins/moment/moment.min.js"></script>
    <script src="plugins/daterangepicker/daterangepicker.js"></script>
    <!-- Tempusdominus Bootstrap 4 -->
    <script src="plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js"></script>
    <!-- Summernote -->
    <script src="plugins/summernote/summernote-bs4.min.js"></script>
    <!-- overlayScrollbars -->
    <script src="plugins/overlayScrollbars/js/jquery.overlayScrollbars.min.js"></script>
    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.js"></script>
    <!-- AdminLTE dashboard demo (This is only for demo purposes) -->
    <script src="dist/js/pages/dashboard.js"></script>
    <!-- AdminLTE for demo purposes -->
    <script src="main.js"></script>
    <script src="izitoast/js/iziToast.min.js"></script>
    <script src="js.js"></script>

    <script>
        $(document).ready(function() {
            $("#generate_coupon_btn").click(function() {
                $("#generated_coupon").empty();
                var formdata = "key=generate_coupon&" + $("#generate_coupon_form").serialize();
                $.post("action/action.php", formdata, function(data) {
                    if (data == 1) {
                        var formdata2 = "key=fetch_last_code";
                        $.post("action/action.php", formdata2, function(data2) {
                            $("#error_msg, #success_msg").empty();
                            $("#success_msg").addClass("alert alert-success");
                            $("#success_msg").append("Coupon code generated successfully");
                            $('html, body').animate({
                                scrollTop: $("#scrollto").offset().top
                            }, 200);
                            $("#generated_coupon").append("Generated code is: " + data2)
                            setTimeout(function() {
                                $("#success_msg").removeClass(
                                    "alert alert-success");
                                $("#error_msg, #success_msg").empty(100);
                            }, 1500);
                        });
                    } else {
                        $("#error_msg, #success_msg").empty();
                        $("#error_msg").addClass("alert alert-danger");
                        $("#error_msg").append(data);
                        $('html, body').animate({
                            scrollTop: $("#scrollto").offset().top
                        }, 200);
                        setTimeout(function() {
                            $("#error_msg").removeClass("alert alert-danger");
                            $("#error_msg, #success_msg").empty(100);
                        }, 1500);
                    }
                });
            });
        });
    </script>
</body>

</html>