$(".loading").hide();

function submitForm(btn1, btn2, action, res, red = 0, loc = "") {
    $("#" + btn1 + ",#" + btn2).toggle();
    var formData = "key=" + action + "&" + $("#" + action).serialize();
    $.get("class.php", formData, function (data) {
        if (data == 1) {
            $("#" + btn1 + ",#" + btn2).toggle();
            success(res, action, 0);
            if (red == 1) {
                setTimeout(function () {
                    location.href = loc;
                }, 1000);
            }
            if (action == "AddPlan") {
                loadpage('allPlans2')
            }
        } else {
            $("#" + btn1 + ",#" + btn2).toggle();
            error(data, action, 0);
        }
    });
}

function loadpage(action) {
    var formData = "key=loadpage";
    $.get("class.php", formData, function (data) {
        $("#" + action).html(data);
    });
}

function MyDeposit(DepositAction, btn1, btn2, action, res, red = 0, loc = "") {
    $("#" + btn1 + ",#" + btn2).toggle();

    var formData = "key=" + action + "&DepositAction=" + DepositAction + "&" + $("#" + action).serialize();
    $.get("class.php", formData, function (data) {
        if (data == 1) {
            $("#" + btn1 + ",#" + btn2).toggle();
            success(res);
            setTimeout(function () {
                location.reload();
            }, 3000);
        } else {
            $("#" + btn1 + ",#" + btn2).toggle();
            error(data);
        }
    });
}

function MyDeposit2(DepositAction, btn1, btn2, action, res, red = 0, loc = "") {
    $("#" + btn1 + ",#" + btn2).toggle();

    var formData = "key=" + action + "&DepositAction=" + DepositAction + "&" + $("#" + action).serialize();
    $.get("class.php", formData, function (data) {
        if (data == 1) {
            $("#" + btn1 + ",#" + btn2).toggle();
            success(res);
            setTimeout(function () {
                location.reload();
            }, 3000);
        } else {
            $("#" + btn1 + ",#" + btn2).toggle();
            error(data);
        }
    });
}

function submitForm2(btn1, btn2, action, res, red = 0, loc = "") {
    $("#" + btn1 + ",#" + btn2).toggle();
    var formData = "key=" + action + "&" + $("#" + action).serialize();
    $.get("../class.php", formData, function (data) {
        if (data == 1) {
            $("#" + btn1 + ",#" + btn2).hide();
            success(res);
            if (action == "login_form") {
                if ($('#remember-me').is(':checked')) {
                    var uid = $('#username').val();
                    localStorage.setItem('uid', uid);
                }
            }
            if (red == 1) {
                setTimeout(function () {
                    location.href = loc;
                }, 1000);
            }
        } else {
            $("#" + btn1 + ",#" + btn2).toggle();
            error(data);
        }
    });
}

function Logout(x = "") {
    var link = "class.php";
    if (x != "") {
        var link = "../class.php";
    }
    var formData = "key=Logout";
    $.get(link, formData, function (data) {
        if (data == 1) {
            localStorage.setItem('uid', '');
            location.reload();
        }
    })
}
reload = (className, link = "reload.php") => {
    var formData = "Class=" + className;
    $.get(link, formData, function (data) {
        $("." + className).html(data);
    });
};

function Order(id) {
    $('.order_btn1' + id).hide();
    var formData = "key=Order&my_order_id=" + id;
    $.get('../class.php', formData, function (data) {
        var data = JSON.parse(data);
        var res = data.res
        var msg = data.msg
        if (res == 1) {
            reload("clickLeft");
            reload("OrderEarnings");
            $('.order_btn2' + id).show();
            success(msg)
        } else {
            $('.order_btn1' + id).show();
            error(msg)
        }

    })
}

function Remember(x = "") {
    if (localStorage.getItem("uid") === null) {} else {
        var uid = localStorage.getItem('uid');
        if (uid != "") {
            var remUid = $("#remUid").val();
            if (remUid == "") {
                var link = "../class.php";
                if (x == "") {
                    var link = "class.php";
                }
                var formData = "key=Logme&uid=" + uid
                $.get(link, formData)
            }
        }
    }
}

function success(res) {
    iziToast.success({
        title: 'Success!',
        message: res,
        position: 'topRight'
    });
}

function error(res) {
    iziToast.error({
        title: 'Error!',
        message: res,
        position: 'topRight'
    });
}

function redirect(loc) {
    location.href = loc;
}


function uploadPOP() {
    $("#errorAlert").empty();
    $("#up_btn1,#up_btn2").toggle();
    var fd = new FormData();
    var files = $("#file")[0].files;
    // Check file selected or not
    if (files.length > 0) {
        fd.append("file", files[0]);
        $.ajax({
            url: "upload.php",
            type: "post",
            data: fd,
            contentType: false,
            processData: false,
            success: function (response) {
                // alert(response);
                res = response;
                if (res == 1) {
                    $("#up_btn1,#up_btn2").toggle();
                    success("Please wait", "error");
                    location.href = "out2.php";
                } else {
                    $("#up_btn1,#up_btn2").toggle();
                    error(res, "error");
                }
            },
        });
    } else {
        $("#up_btn1,#up_btn2").toggle();
        error("Choose a file to upload", "error");
    }
}

function Invest(data, step = 1) {
    $(".InvestmentBtn,.InvestmentBtn2").toggle()
    var data = JSON.parse(data);
    var min = data.min;
    var max = data.max;
    var plan = data.plan;
    var pid = data.pid;
    var percent = data.percent;
    var days = data.days;
    var min = parseInt(min)
    var max = parseInt(max)
    var amt = $("#planAmt").val();
    if (step == 1) {
        if (data == "") {
            error('Select a plan first')
            $(".InvestmentBtn,.InvestmentBtn2").toggle()
        } else if (amt < 0) {
            error('Enter a valid amount')
            $(".InvestmentBtn,.InvestmentBtn2").toggle()
        } else if (amt < min) {
            error('Minimum amount is $' + min)
            $(".InvestmentBtn,.InvestmentBtn2").toggle()
        } else if (amt > max) {
            error('Maximum amount is $' + max)
            $(".InvestmentBtn,.InvestmentBtn2").toggle()
        } else {
            $(".InvestmentBtn,.InvestmentBtn2").toggle()
            $(".selectedPlan").html(plan)
            $(".AmtToPay").html('$' + amt)
            $(".selectedPer").html(percent + '%')
            $(".PlanDay").html(days + ' days')
            $(".PymentDetCard").show()
        }
    } else {
        $(".InvestmentBtn,.InvestmentBtn2").toggle()
        $(".FinishBtn2,.FinishBtn1").toggle()
        var formData = "key=Invest&pid=" + pid + "&amount=" + amt
        $.get('class.php', formData, function (data) {
            if (data == 1) {
                success('Successfully Submitted, please wait for confirmation')
                $(".FinishBtn2,.FinishBtn1").toggle()
                setTimeout(function () {
                    location.reload();
                }, 2000)
            } else {
                error(data)
                $(".FinishBtn2,.FinishBtn1").toggle()
            }
        })
    }
}

function Withdraw(pass, amt, type) {
    if (amt < 1) {
        error('Enter a valid amount')
    } else if (pass == "") {
        error('Password required')
    } else {
        var formData = "key=Withdraw&amount=" + amt + "&wallet=" + type + "&password=" + pass
        $.get('../class.php', formData, function (data) {
            if (data == 1) {
                success('Withdrawal successfully initialized')
                setTimeout(function () {
                    location.reload()
                }, 3000)
            } else {
                error(data)
            }
        })
    }
}