<?php require_once 'controllers/authController.php';
if (!isset($_SESSION['deluxe_admin_id'])) {
    header('location: login.php');
    exit();
}
if (isset($_GET['id'])) {
    $id = $_GET['id'];
    $sqlstr = "SELECT * FROM users WHERE id = ?";
    $stmt = $conn->prepare($sqlstr);
    $stmt->bind_param("i", $id);
    $stmt->execute();
    $result = $stmt->get_result();
    while ($row = $result->fetch_assoc()) {
        $email = $row['email'];
        $name = $row['first_name'] . " " . $row['last_name'] . " " . $row['other_name'];
        $reg_date = $row['reg_date'];
    }
    $sqlstr = "SELECT * FROM plans WHERE email = '$email'";
    $stmt = $conn->prepare($sqlstr);
    $stmt->execute();
    $result = $stmt->get_result();
    $no_of_plan = $result->num_rows;
    $row = $result->fetch_assoc();
}

?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Withdrawal</title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <!-- Ionicons -->
    <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <!-- SweetAlert2 -->
    <link rel="stylesheet" href="plugins/sweetalert2/sweetalert2.min.css">
    <!-- Toastr -->
    <link rel="stylesheet" href="plugins/toastr/toastr.min.css">
    <!-- daterange picker -->
    <link rel="stylesheet" href="plugins/daterangepicker/daterangepicker.css">
    <!-- iCheck for checkboxes and radio inputs -->
    <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css">
    <!-- Bootstrap Color Picker -->
    <link rel="stylesheet" href="plugins/bootstrap-colorpicker/css/bootstrap-colorpicker.min.css">
    <!-- Tempusdominus Bootstrap 4 -->
    <link rel="stylesheet" href="plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css">
    <!-- Select2 -->
    <link rel="stylesheet" href="plugins/select2/css/select2.min.css">
    <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
    <!-- Bootstrap4 Duallistbox -->
    <link rel="stylesheet" href="plugins/bootstrap4-duallistbox/bootstrap-duallistbox.min.css">
    <!-- BS Stepper -->
    <link rel="stylesheet" href="plugins/bs-stepper/css/bs-stepper.min.css">
    <!-- dropzonejs -->
    <link rel="stylesheet" href="plugins/dropzone/min/dropzone.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <style>
        table {
            border-collapse: collapse;
            border-spacing: 0;
            width: 100%;
            border: 1px solid #ddd;
        }

        th,
        td {
            text-align: left;
            padding: 16px;
        }

        tr:nth-child(even) {
            background-color: #f2f2f2;
        }
    </style>
</head>

<body class="hold-transition sidebar-mini">
    <div class="wrapper">
        <?php
        include 'includes/navbar.php';
        include 'includes/sidebar.php';
        ?>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">

            <!-- Main content -->
            <section class="content">
                <div class="row">
                    <div class="col-12">
                        <h4>Plans Details</h4>
                    </div>
                </div>
                <div class="row">
                    <div class="col-12 col-sm-12 col-lg-12 col-md-12">
                        <div class="card card-primary card-tabs">
                            <div class="card-header p-0 pt-1">
                                <ul class="nav nav-tabs" id="custom-tabs-one-tab" role="tablist">
                                    <li class="nav-item">
                                        <a class="nav-link active" id="custom-tabs-one-home-tab" data-toggle="pill" href="#custom-tabs-one-home" role="tab" aria-controls="custom-tabs-one-home" aria-selected="true">Details</a>
                                    </li>
                                </ul>
                            </div>
                            <div class="card-body">
                                <c>User: </c><b><?= $name ?></b><br>
                                <c>User Email: </c><b><?= $email ?></b><br>
                                <c>Registered on: </c><b><?= $reg_date ?></b><br>
                                <b>TOTAL PLANS: <?= $no_of_plan ?></b><br><br>
                                <div class="tab-content" id="custom-tabs-one-tabContent">
                                    <div class="tab-pane fade show active" id="custom-tabs-one-home" role="tabpanel" aria-labelledby="custom-tabs-one-home-tab">
                                        <form id="amt">
                                            <?php
                                            $sqlstr = "SELECT * FROM plans WHERE email ='$email'";
                                            $stmt = $conn->prepare($sqlstr);
                                            $stmt->execute();
                                            $result = $stmt->get_result();
                                            $sn = 0;
                                            while ($row = $result->fetch_assoc()) :
                                                $sn++
                                            ?>
                                                <b>PLAN <?= $sn ?></b>
                                                <table>
                                                    <tr>
                                                        <td><b>Plan Name:</b><b style="float: right;"><?= $row['plan'] ?></b></td>
                                                    </tr>
                                                    <tr>
                                                        <td><b>Plan Date:</b><b style="float: right;"><?= $row['plan_date'] ?></b></td>
                                                    </tr>
                                                    <tr>
                                                        <td><b>Plan Amount:</b><b style="float: right;">₦ <?= number_format($row['plan_amount'], 2) ?></b></td>
                                                    </tr>
                                                    <tr>
                                                        <td><b>Payment Date:</b><b style="float: right;"><?= $row['capital_payout_date'] ?></b></td>
                                                    </tr>
                                                    <tr>
                                                        <?php
                                                        $expect = ((35 / 100) * $row['plan_amount']) + $row['plan_amount'];
                                                        ?>
                                                        <td><b>Expecting Amount:</b><b style="float: right;">₦ <?= number_format($expect, 2) ?></b></td>
                                                    </tr>
                                                </table><br><br>
                                            <?php endwhile; ?>
                                        </form>
                                    </div>
                                </div>
                            </div>
                            <!-- /.card -->
                        </div>
                    </div>
                </div>
            </section>
        </div>
        <!-- /.content-wrapper -->

        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark">
            <!-- Control sidebar content goes here -->
        </aside>
        <!-- /.control-sidebar -->
    </div>
    <!-- ./wrapper -->

    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.min.js"></script>
    <script src="plugins/dropzone/min/dropzone.min.js"></script>
    <!-- Select2 -->
    <script src="plugins/select2/js/select2.full.min.js"></script>
    <!-- Bootstrap4 Duallistbox -->
    <script src="plugins/bootstrap4-duallistbox/jquery.bootstrap-duallistbox.min.js"></script>
    <!-- InputMask -->
    <script src="plugins/moment/moment.min.js"></script>
    <script src="plugins/inputmask/jquery.inputmask.min.js"></script>
    <!-- date-range-picker -->
    <script src="plugins/daterangepicker/daterangepicker.js"></script>
    <!-- bootstrap color picker -->
    <script src="plugins/bootstrap-colorpicker/js/bootstrap-colorpicker.min.js"></script>
    <!-- Tempusdominus Bootstrap 4 -->
    <script src="plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js"></script>
    <!-- Bootstrap Switch -->
    <script src="plugins/bootstrap-switch/js/bootstrap-switch.min.js"></script>
    <!-- BS-Stepper -->
    <script src="plugins/bs-stepper/js/bs-stepper.min.js"></script>
    <!-- SweetAlert2 -->
    <script src="plugins/sweetalert2/sweetalert2.min.js"></script>
    <!-- Toastr -->
    <script src="plugins/toastr/toastr.min.js"></script>
    <script>
        $(document).ready(function() {
            var Toast = Swal.mixin({
                toast: true,
                position: 'top-end',
                showConfirmButton: false,
                timer: 3000
            })
            $("#approve").click(function() {
                var formdata = "skey=accept_withdrawal&" + $("#amt").serialize();
                $.post("action/action4.php", formdata).done(function(data) {
                    // Success messages
                    if (data != 1) {
                        Toast.fire({
                            icon: 'error',
                            position: 'center',
                            title: data.trim()
                        })
                    } else {
                        Toast.fire({
                            icon: 'success',
                            position: 'center',
                            title: 'Withdrawal approved successfully'
                        })
                        setTimeout(function() {
                            location.href = "withdrawal.php";
                        }, 1000);
                    }
                });
            });
            $("#decline_btn").click(function() {
                var formdata = "skey=decline_withdrawal&" + $("#amt").serialize();
                $.post("action/action4.php", formdata).done(function(data) {
                    // Success messages
                    if (data != 1) {
                        Toast.fire({
                            icon: 'error',
                            position: 'center',
                            title: data.trim()
                        })
                    } else {
                        Toast.fire({
                            icon: 'success',
                            position: 'center',
                            title: 'Deposit declined successfully'
                        })
                        setTimeout(function() {
                            location.href = "withdrawal.php";
                        }, 1000);
                    }
                });
            });
        });
    </script>
</body>

</html>