<?php require_once 'class.php';
if (!isset($aid)) {
    header('location: login.php');
}
if (isset($_GET['action'])) {
    $action = $_GET['action'];
    $id = $_GET['pid'];
    $sqlstr = "SELECT id FROM product WHERE id = ?";
    $stmt = $conn->prepare($sqlstr);
    $stmt->bind_param("i", $id);
    $stmt->execute();
    $result = $stmt->get_result();
    $delCount = $result->num_rows;
    if ($delCount > 0) {
        $sta = 1;
        $tex = 'unlocked';
        if ($action == "lock") {
            $sta = 0;
            $tex = 'locked';
        }
        $sqlstr = "UPDATE product SET view = '$sta' WHERE id = '$id'";
        $stmt = $conn->prepare($sqlstr);
        $text = "Plan successfully $tex";
        if ($stmt->execute()) { ?>
            <script>
                alert(<?= $text ?>);
            </script>
<?php
            header("location:plans.php");
        }
    } else {
        header("location:plans.php");
    }
}
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Edit plans</title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <!-- Ionicons -->
    <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <!-- SweetAlert2 -->
    <link rel="stylesheet" href="plugins/sweetalert2/sweetalert2.min.css">
    <!-- Toastr -->
    <link rel="stylesheet" href="plugins/toastr/toastr.min.css">
    <!-- daterange picker -->
    <link rel="stylesheet" href="plugins/daterangepicker/daterangepicker.css">
    <!-- iCheck for checkboxes and radio inputs -->
    <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css">
    <!-- Bootstrap Color Picker -->
    <link rel="stylesheet" href="plugins/bootstrap-colorpicker/css/bootstrap-colorpicker.min.css">
    <!-- Tempusdominus Bootstrap 4 -->
    <link rel="stylesheet" href="plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css">
    <!-- Select2 -->
    <link rel="stylesheet" href="plugins/select2/css/select2.min.css">
    <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
    <!-- Bootstrap4 Duallistbox -->
    <link rel="stylesheet" href="plugins/bootstrap4-duallistbox/bootstrap-duallistbox.min.css">
    <!-- BS Stepper -->
    <link rel="stylesheet" href="plugins/bs-stepper/css/bs-stepper.min.css">
    <!-- dropzonejs -->
    <link rel="stylesheet" href="plugins/dropzone/min/dropzone.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <link rel="stylesheet" href="izitoast/css/iziToast.min.css">
</head>

<body class="hold-transition sidebar-mini">
    <div class="wrapper">
        <?php
        include 'includes/navbar.php';
        include 'includes/sidebar.php';
        ?>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <section class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                            <h1> Edit products</h1>
                        </div>
                    </div>
                </div><!-- /.container-fluid -->
            </section>

            <!-- Main content -->
            <section class="content">
                <div class="container-fluid">
                    <div class="row">
                        <div class="loading col-md-6">
                            <div class="card">
                                <div class="card-header">
                                    <h3 class="card-title"> Add Plans</h3>

                                    <div class="card-tools">
                                        <button type="button" class="btn btn-tool" data-card-widget="collapse">
                                            <i class="fas fa-minus"></i>
                                        </button>
                                    </div>
                                </div>
                                <div class="p-2 card-body p-0">
                                    <ul class="nav nav-pills flex-column">
                                        <li class="nav-item active">
                                            <form id='AddPlan'>
                                                <label>Plan Name</label>
                                                <input type='text' placeholder="Plan Name" name='plan' class='form-control'>
                                                <label>Min. Amount</label>
                                                <input type='number' placeholder="Min. Amount" name='min' class='form-control'>
                                                <label>Max. Amount</label>
                                                <input type='number' placeholder="Max. Amount" name='max' class='form-control'>
                                                <label>Investment Days</label>
                                                <input type='number' value="10" placeholder="Investment Days" name='days' class='form-control'>
                                                <label>Percentage</label>
                                                <input type='number' value="20" placeholder="Percentage" name='percent' class='form-control'><br>

                                                <button id="btn1" onclick="submitForm('btn1', 'btn2', 'AddPlan','Plan Added successfully')" type="button" class="btn btn-success">
                                                    ADD
                                                </button>
                                                <button id="btn2" disabled type="button" class="btn btn-warning loading">
                                                    PLEASE WAIT <i class="fa fa-spinner fa-spin"></i>
                                                </button>
                                            </form>
                                        </li>
                                    </ul>
                                </div>
                                <!-- /.card-body -->
                            </div>
                        </div>
                        <!-- /.col -->
                        <div id="allPlans2" class="col-md-12">
                            <div class="card card-primary card-outline">
                                <div class="card-header">
                                    <h3 class="card-title">All Plans</h3>
                                </div>
                                <!-- /.card-header -->
                                <table class="table">
                                    <thead>
                                        <tr>
                                            <th>Name</th>
                                            <th>Amount</th>
                                            <th>Daily earning</th>
                                            <th>Days</th>
                                            <th></th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php
                                        $sql = "SELECT * FROM product";
                                        $result = mysqli_query($conn, $sql);
                                        while ($row = mysqli_fetch_array($result)) :
                                            $pid = $row['id'];
                                            extract($row);
                                        ?>
                                            <tr>
                                                <?php
                                                $status = $row['view'];
                                                $image = $row['image'];
                                                $text = "";
                                                if ($status == 0) {
                                                    $text = "(Locked)";
                                                }
                                                ?>
                                                <td>
                                                    <img onclick="$('#fileInput<?= $id ?>').click()" id="uploadImage<?= $id ?>" style="width:50px;height:50px" src="../products/<?= $image ?>">
                                                    <input accept="image/*" type="file" id="fileInput<?= $id ?>" onchange="FileChange(<?= $id ?>,this.files[0])" style="display: none;" />
                                                    <?= $row['name'] . $text ?>
                                                </td>
                                                <td>₦<?= number_format($row['amount'], 2) ?></td>
                                                <td>₦<?= number_format($row['daily'], 2) ?></td>
                                                <td><?= $row['days'] ?> days</td>
                                                <td>
                                                    &nbsp;<a href="javascript:;" onclick="editPlan(<?= $pid ?>)" class='fa fa-edit'></a>
                                                    <?php
                                                    if ($status == 1) {
                                                    ?>
                                                        &nbsp;<a style="color:red" href="plans.php?action=lock&pid=<?= $pid ?>" onclick="return confirm('Are you sure you want to lock this plan?');">
                                                            <li class="fa fa-lock"></li>
                                                        <?php } else { ?>
                                                            &nbsp;<a style="color:red" href="plans.php?action=unlock&pid=<?= $pid ?>" onclick="return confirm('Are you sure you want to unlock this plan?');">
                                                                <li class="fa fa-lock-open"></li>
                                                            <?php } ?>
                                                </td>
                                            </tr>
                                            <div class="modal fade modal-black" id="loginModal<?= $id ?>" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
                                                <div class="modal-dialog">
                                                    <div class="modal-content">
                                                        <h3 class="text-center">Edit Product</h3>
                                                        <div class="modal-header justify-content-center">
                                                            <button type="button" class="close" data-dismiss="modal" aria-hidden="true">
                                                                <i class="">&times;</i>
                                                            </button>
                                                        </div>
                                                        <div class="modal-body">
                                                            <form id='update_plan_form<?= $id ?>'>
                                                                <label>Plan Name</label>
                                                                <input type="hidden" value="<?= $pid ?>" name="pid">
                                                                <input type='text' value="<?= $name ?>" name='name' class='form-control'>
                                                                <label>Amount (₦)</label>
                                                                <input type='number' value="<?= $amount ?>" name='amount' class='form-control'>
                                                                <label>Daily earning (₦)</label>
                                                                <input type='number' value="<?= $daily ?>" name='daily' class='form-control'>
                                                                <label>Days</label>
                                                                <input type="number" value="<?= $days ?>" name="days" class='form-control'><br>
                                                                <center>
                                                                    <input type='button' onclick="updatePlanDetails(<?= $id ?>)" value='Update' class='btn btn-success'>
                                                                </center>
                                                            </form>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        <?php endwhile ?>
                                    </tbody>
                                </table>
                                <!-- /.card-footer -->
                            </div>
                            <!-- /.card -->
                        </div>
                        <!-- /.col -->
                    </div>
                    <!-- /.row -->
                </div><!-- /.container-fluid -->
            </section>
            <!-- /.content -->
        </div>
        <!-- /.content-wrapper -->








        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark">
            <!-- Control sidebar content goes here -->
        </aside>
        <!-- /.control-sidebar -->
    </div>
    <!-- ./wrapper -->

    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.min.js"></script>
    <script src="plugins/dropzone/min/dropzone.min.js"></script>
    <!-- Select2 -->
    <script src="plugins/select2/js/select2.full.min.js"></script>
    <!-- Bootstrap4 Duallistbox -->
    <script src="plugins/bootstrap4-duallistbox/jquery.bootstrap-duallistbox.min.js"></script>
    <!-- InputMask -->
    <script src="plugins/moment/moment.min.js"></script>
    <script src="plugins/inputmask/jquery.inputmask.min.js"></script>
    <!-- date-range-picker -->
    <script src="plugins/daterangepicker/daterangepicker.js"></script>
    <!-- bootstrap color picker -->
    <script src="plugins/bootstrap-colorpicker/js/bootstrap-colorpicker.min.js"></script>
    <!-- Tempusdominus Bootstrap 4 -->
    <script src="plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js"></script>
    <!-- Bootstrap Switch -->
    <script src="plugins/bootstrap-switch/js/bootstrap-switch.min.js"></script>
    <!-- BS-Stepper -->
    <script src="plugins/bs-stepper/js/bs-stepper.min.js"></script>
    <!-- SweetAlert2 -->
    <script src="plugins/sweetalert2/sweetalert2.min.js"></script>
    <!-- Toastr -->
    <script src="plugins/toastr/toastr.min.js"></script>
    <script src="izitoast/js/iziToast.min.js"></script>
    <script src="js.js"></script>
    <script>
        function FileChange(id, selectedFile) {
            // alert(id);
            // return;
            // const selectedFile = this.files[0];
            // Call the function to upload the file
            uploadFile(selectedFile, id);
        }

        function uploadFile(file, idNumber) {
            // alert(idNumber);
            // return;
            const formData = new FormData();
            formData.append("file", file);
            formData.append("id", idNumber);

            $.ajax({
                url: "upload.php", // Replace with the URL of your server.php file
                type: "POST",
                data: formData,
                processData: false,
                contentType: false,
                success: function(response) {
                    if (response == 1) {
                        alert("Successfully changed product image");
                        location.reload();
                    } else {
                        alert(response);
                    }
                    // Handle the server's response here, if needed
                    console.log("Upload successful:", response);
                },
                error: function(error) {
                    // Handle any errors that occur during the upload
                    console.error("Upload error:", error);
                }
            });
        }

        function editPlan(pid) {
            $("#loginModal" + pid).modal('show');
        }

        function updatePlanDetails(id) {
            var formdata = "key=UpdatePlans&" + $("#update_plan_form" + id).serialize();
            $.get("class.php", formdata).done(function(data) {
                // Success messages
                if (data != 1) {
                    error(data)
                } else {
                    // loadpage('allPlans2')
                    success("Plan updated successfully")
                    setTimeout(function() {
                        location.reload();
                    }, 1000)
                }
            });
        }
    </script>
</body>

</html>