<?php require_once 'class.php';
if (!isset($aid)) {
    header('location: login.php');
}
if (isset($_GET['Delid'])) {
    $id = $_GET['Delid'];
    $sqlstr = "DELETE FROM testimony WHERE id = '$id'";
    $stmt = $conn->prepare($sqlstr);
    $stmt->execute();
    header('location:testimony.php');
}
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Testimony</title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <!-- Ionicons -->
    <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <!-- SweetAlert2 -->
    <link rel="stylesheet" href="plugins/sweetalert2/sweetalert2.min.css">
    <!-- Toastr -->
    <link rel="stylesheet" href="plugins/toastr/toastr.min.css">
    <!-- daterange picker -->
    <link rel="stylesheet" href="plugins/daterangepicker/daterangepicker.css">
    <!-- iCheck for checkboxes and radio inputs -->
    <link rel="stylesheet" href="plugins/icheck-bootstrap/icheck-bootstrap.min.css">
    <!-- Bootstrap Color Picker -->
    <link rel="stylesheet" href="plugins/bootstrap-colorpicker/css/bootstrap-colorpicker.min.css">
    <!-- Tempusdominus Bootstrap 4 -->
    <link rel="stylesheet" href="plugins/tempusdominus-bootstrap-4/css/tempusdominus-bootstrap-4.min.css">
    <!-- Select2 -->
    <link rel="stylesheet" href="plugins/select2/css/select2.min.css">
    <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">
    <!-- Bootstrap4 Duallistbox -->
    <link rel="stylesheet" href="plugins/bootstrap4-duallistbox/bootstrap-duallistbox.min.css">
    <!-- BS Stepper -->
    <link rel="stylesheet" href="plugins/bs-stepper/css/bs-stepper.min.css">
    <!-- dropzonejs -->
    <link rel="stylesheet" href="plugins/dropzone/min/dropzone.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <link rel="stylesheet" href="izitoast/css/iziToast.min.css">
</head>

<body class="hold-transition sidebar-mini">
    <div class="wrapper">
        <?php
        include 'includes/navbar.php';
        include 'includes/sidebar.php';
        ?>

        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Main content -->
            <section class="content">
                <div class="container1">
                    <button id="toggle_testimony" class='btn btn-info'>Create/View</button>
                    <div id="create_testimony">
                        <h2>Create testimony</h2>
                        <form id='edit_form'>
                            <label>Picture</label>
                            <input type='file' placeholder="Picture" id='file' name='file' class='form-control'>
                            <label>Sub Topic</label>
                            <input type='text' placeholder="Sub Topic" id='test_sub' name='sub' class='form-control'>
                            <label>Name</label>
                            <input type='text' placeholder="Name" id='test_name' name='name' class='form-control'>
                            <label>Country</label>
                            <input type='text' name='country' id='country' class='form-control'>
                            <label>Testimony</label>
                            <textarea class="form-control" id="test_message" name="msg"></textarea><br>
                            <input type='button' id='create_new_testimony' value='Create' class='btn btn-success'>
                        </form>
                    </div>
                    <div id="view_testimony">
                        <table class="table">
                            <thead>
                                <tr>
                                    <th>S/N</th>
                                    <th>Name</th>
                                    <th>Country</th>
                                    <th>Message</th>
                                    <th>Delete</th>
                                </tr>
                            </thead>
                            <tbody>
                                <?php
                                $sqlstr = "SELECT * FROM testimony";
                                $stmt = $conn->prepare($sqlstr);
                                $stmt->execute();
                                $result = $stmt->get_result();
                                $sn = 0;
                                while ($row = $result->fetch_assoc()) :
                                    $sn++
                                ?>
                                    <tr>
                                        <th><?= $sn ?></th>
                                        <td><?= $row['name'] ?></td>
                                        <td><?= $row['country'] ?></td>
                                        <td><?= $row['sub'] ?></td>
                                        <td><a href='testimony.php?Delid=<?= $row['id'] ?>' class='btn btn-danger'>Delete</td>
                                    </tr>
                                <?php endwhile; ?>
                            </tbody>
                        </table>
                    </div>
                </div>
            </section>
        </div>
        <!-- /.content-wrapper -->

        <!-- Control Sidebar -->
        <aside class="control-sidebar control-sidebar-dark">
            <!-- Control sidebar content goes here -->
        </aside>
        <!-- /.control-sidebar -->
    </div>
    <!-- ./wrapper -->

    <!-- jQuery -->
    <script src="plugins/jquery/jquery.min.js"></script>
    <!-- Bootstrap 4 -->
    <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
    <!-- AdminLTE App -->
    <script src="dist/js/adminlte.min.js"></script>
    <script src="plugins/dropzone/min/dropzone.min.js"></script>
    <!-- Select2 -->
    <script src="plugins/select2/js/select2.full.min.js"></script>
    <!-- Bootstrap4 Duallistbox -->
    <script src="plugins/bootstrap4-duallistbox/jquery.bootstrap-duallistbox.min.js"></script>
    <!-- InputMask -->
    <script src="plugins/moment/moment.min.js"></script>
    <script src="plugins/inputmask/jquery.inputmask.min.js"></script>
    <!-- date-range-picker -->
    <script src="plugins/daterangepicker/daterangepicker.js"></script>
    <!-- bootstrap color picker -->
    <script src="plugins/bootstrap-colorpicker/js/bootstrap-colorpicker.min.js"></script>
    <!-- Tempusdominus Bootstrap 4 -->
    <script src="plugins/tempusdominus-bootstrap-4/js/tempusdominus-bootstrap-4.min.js"></script>
    <!-- Bootstrap Switch -->
    <script src="plugins/bootstrap-switch/js/bootstrap-switch.min.js"></script>
    <!-- BS-Stepper -->
    <script src="plugins/bs-stepper/js/bs-stepper.min.js"></script>
    <script src="izitoast/js/iziToast.min.js"></script>
    <script src="js.js"></script>
    <script>
        $(document).ready(function() {
            $("#search_email,#search_btn,#view_testimony").hide()
            $("#toggle_testimony").click(function() {
                $("#view_testimony,#create_testimony").toggle()
            });
            $("#create_new_testimony").click(function() {
                var sub = $("#test_sub").val();
                var name = $("#test_name").val();
                var country = $("#country").val();
                var message = $("#test_message").val();
                var file = $("#file").val();
                if (sub == "") {
                    error("Enter Sub Topic")
                } else if (name == "") {
                    error("Enter Name")
                } else if (country == "") {
                    error("Enter country")
                } else if (message == "") {
                    error("Enter Testimomy")
                } else if (file == "") {
                    error("Select Picture")
                } else {
                    var fd = new FormData();
                    var files = $('#file')[0].files;
                    // Check file selected or not
                    if (files.length > 0) {
                        fd.append('file', files[0]);
                        $.ajax({
                            url: 'upload.php',
                            type: 'post',
                            data: fd,
                            contentType: false,
                            processData: false,
                            success: function(response) {
                                if (response == 1) {
                                    var formData = "key=Testimony&" + $("#edit_form").serialize()
                                    $.get("class.php", formData, function(data) {
                                        if (data == 1) {
                                            success("Testimony created successfully")
                                        } else {
                                            error(data)
                                        }
                                    })
                                } else {
                                    error(response);
                                }
                            },
                        });
                    } else {
                        error("Please select an image");
                    }




















                }
            })
        });
    </script>










    <script>
        $(document).ready(function() {
            $("#reg_btn").click(function() {
                $('#reg_btn').css({
                    "cursor": "not-allowed",
                    "opacity": "0.5",
                    "border": "none"
                });
                $("#btn_text").empty();
                $("#btn_text").append('Uploading <i class="fa fa-spinner fa-spin"></i>');
                var fd = new FormData();
                var files = $('#file')[0].files;
                // Check file selected or not
                if (files.length > 0) {
                    fd.append('file', files[0]);
                    $.ajax({
                        url: 'upload.php',
                        type: 'post',
                        data: fd,
                        contentType: false,
                        processData: false,
                        success: function(response) {
                            if (response == 1) {
                                var merge_id = '<?php echo $idd; ?>'
                                var formdata2 = "key=proof&merge_id=" + merge_id;
                                $.post("action/action3.php", formdata2, function(data) {
                                    if (data == 1) {
                                        $('#reg_btn').css({
                                            "cursor": "",
                                            "opacity": "",
                                            "border": "none"
                                        });
                                        $("#btn_text").empty();
                                        $("#btn_text").append('Upload');
                                        alert("Proof of payment uploaded successfully");
                                        setTimeout(function() {
                                            location.href = "sendpop.php";
                                        }, 1000);
                                    } else {
                                        $('#reg_btn').css({
                                            "cursor": "",
                                            "opacity": "",
                                            "border": "none"
                                        });
                                        $("#btn_text").empty();
                                        $("#btn_text").append('Upload');
                                        $("#error").empty();
                                        alert(data);
                                    }
                                });
                            } else {
                                $('#reg_btn').css({
                                    "cursor": "",
                                    "opacity": "",
                                    "border": "none"
                                });
                                $("#btn_text").empty();
                                $("#btn_text").append('Upload');
                                $("#error").empty();
                                alert(response);
                            }
                        },
                    });
                } else {
                    $('#reg_btn').css({
                        "cursor": "",
                        "opacity": "",
                        "border": "none"
                    });
                    $("#btn_text").empty();
                    $("#btn_text").append('Upload');
                    $("#error").empty();
                    alert("Please select an image");
                }
            });
        });
    </script>

</body>

</html>