<html class=" js no-touch">
<?php
include 'class.php';
if (!isset($uid)) {
    header("Location: login");
}
$pageTitle = "Rental Contract";
include 'includes/head.php';
$agreement = $auth->Get('agreement');
$agreement_date = $auth->Get('agreement_date');
$x = "readonly";
if ($agreement_date == "") {
    $x = "";
    $agreement_date = date('d/m/Y') . " - " . date('d/m/Y', strtotime("+1 year"));
}
?>

<body class="frame">
    <div class="header">
        <a href="javascript:;" onclick="window.history.back();" class="header-left">
            Back
        </a>
        <div class="header-title">Rental Contract</div>
    </div>
    <div class="page-main page-head agreement-con">
        <form id="Agreement" class="html-content">
            <div class="space-40"></div>
            <h3>PRODUCT RENTAL CONTRACT</h3>
            <div class="agreement-text">
                This Agreement is strictly in compliance with the Nigerian Minerals and Mining Regulations 2011, and the parties
                hereby affirm and declare that:
            </div>
            <div class="agreement-text">
                1. Jiangxi Copper Nigeria Office: B14 St, 900108, Federal Capital Territory, Nigeria
            </div>
            <div class="agreement-text">
                2.<input type="text" name="name1" <?= $x ?> value="<?= $agreement ?>" placeholder="your name">
                enters into a product rental agreement with Jiangxi Copper to achieve their respective objectives of which rae set
                out below.
                <p>
                    a) The contracted party and Jiangxi Copper rent products, share economy, and joint operation of high-quality
                    service business, and the contracted party’s income will be cashed in accordance with the contract
                </p>
                <p>
                    b) The signatory promises to be over 18 years old, strictly abide by the principle of one person, one
                    account, and will not register false accounts in Jiangxi Copper app
                </p>
                <p>
                    c) After signing the agreement, the signatory will become a Jiangxi Copper partner.
                </p>
                <p>
                    d) Jiangxi Copper promises to pay the contractor's income according to the profit described in the product, and
                    guarantee the safety of the contractor's funds.
                </p>
            </div>
            <div class="agreement-text">
                Validity period of this agreement: <?= $agreement_date ?>
            </div>
            <div class="agreement-tip">
                Signatory's Jiangxi Copper account:
                <input type="text" name="name2" <?= $x ?> value="<?= $agreement ?>" placeholder="your name">
            </div>
            <div class="agreement-tip">
                Signatory:
                <input type="text" name="name3" <?= $x ?> value="<?= $agreement ?>" placeholder="your name">
            </div>
            <div class="agreement-dl">
                <div class="agreement-dd">
                    <img src="img/agree01.png">
                </div>
                <div class="agreement-dd">
                    <img src="img/login.jpg">
                </div>
            </div>
        </form>
        <?php
        if ($agreement == "") {
        ?>
            <button type="button" id="btn2" onclick="submitForm('btn2', 'Agreement', 'Signed successfully',1,'agreement')" class="otp_div login_btn login-sub">Sign</button>
        <?php } else { ?>
            <button type="button" id="download_receipt" onclick="Download()" class="login-sub">Download</button>
        <?php } ?>
        <div class="space-40"></div>
        <div class="space-40"></div>
    </div>


    <script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/jspdf/1.5.3/jspdf.min.js"></script>
    <script type="text/javascript" src="https://html2canvas.hertzen.com/dist/html2canvas.js"></script>
    <script>
        function Download() {
            var uin = "<?= $wn ?> rental contract";
            $("#download_receipt").attr('disabled', true)
            $("#download_receipt").html('Downloading...');
            var HTML_Width = $(".html-content").width();
            var HTML_Height = $(".html-content").height();
            var top_left_margin = 15;
            var PDF_Width = HTML_Width + (top_left_margin * 2);
            var PDF_Height = (PDF_Width * 1.5) + (top_left_margin * 2);
            var canvas_image_width = HTML_Width;
            var canvas_image_height = HTML_Height;

            var totalPDFPages = Math.ceil(HTML_Height / PDF_Height) - 1;

            html2canvas($(".html-content")[0]).then(function(canvas) {
                var imgData = canvas.toDataURL("image/jpeg", 1.0);
                var pdf = new jsPDF('p', 'pt', [PDF_Width, PDF_Height]);
                pdf.addImage(imgData, 'JPG', top_left_margin, top_left_margin, canvas_image_width, canvas_image_height);
                for (var i = 1; i <= totalPDFPages; i++) {
                    pdf.addPage(PDF_Width, PDF_Height);
                    pdf.addImage(imgData, 'JPG', top_left_margin, -(PDF_Height * i) + (top_left_margin * 4), canvas_image_width, canvas_image_height);
                }
                pdf.save(uin + ".pdf");
                $("#download_receipt").html('Downloaded');
            });
        }
    </script>
</body>

</html>