<html class=" js no-touch">
<?php
include 'class.php';
if (!isset($uid)) {
    header("Location: login");
}
$pageTitle = "My Product";
include 'includes/head.php';
$order_on = "on";
?>



<body class="frame">
    <div class="header">
        <a href="javascript:;" onclick="window.history.back();" class="header-left">
            Back
        </a>
        <div class="header-title">My Product</div>
    </div>
    <div class="page-main page-head">
        <div class="order-head">
            <div class="order-head-item">
                <span>₦<?= number_format($auth->TotalAsset(), 2) ?></span>
                <label>Total asset</label>
            </div>
            <div class="order-head-item">
                <span>₦<?= number_format($auth->TotalIncome(), 2) ?></span>
                <label>Total income</label>
            </div>
        </div>
        <div class="order-record">
            <?php
            if ($auth->countall3('invest', 'uid', $uid) > 0) {
            ?>
                <ul>
                    <?php
                    $sqlstr = "SELECT * FROM invest WHERE uid = '$uid' ORDER BY id DESC";
                    $stmt = $conn->prepare($sqlstr);
                    $stmt->execute();
                    $result = $stmt->get_result();
                    while ($row = $result->fetch_assoc()) :
                        extract($row);
                        $image = $auth->select14('image', 'product', 'id', $pid);
                        $name = $auth->select14('name', 'product', 'id', $pid);
                        $daily = $auth->select14('daily', 'product', 'id', $pid);
                        $days = $auth->select14('days', 'product', 'id', $pid);
                        if ($status == 1) {
                            $sta = "Active";
                        } else {
                            $sta = "Completed";
                            $next_pay_date = "N/A";
                        }
                    ?>
                        <li>
                            <h3><?= $name ?><span>earning</span></h3>
                            <div class="space-10"></div>
                            <div class="order-mask">
                                <div class="order-img"><img src="products/<?= $image ?>"></div>
                                <div class="order-main">
                                    <p>Rental Price:<span><?= number_format($amount, 2) ?>NGN</span></p>
                                    <p>Total Income:<span><?= number_format($daily * $days, 2) ?>NGN</span></p>
                                    <p>Earnings Cycle:<span><?= $days ?> Days</span></p>
                                    <p>Next Earnings Date:<span><?= $next_pay_date ?></span></p>
                                    <p>Status:<span><?= $sta ?></span></p>
                                </div>
                            </div>
                        </li>
                    <?php endwhile; ?>
                </ul>
            <?php } else { ?>
                <div class="dropload-down">
                    <div class="dropload-noData zhibo-index-bot-ts">no order yet</div>
                </div>
            <?php } ?>
        </div>
    </div>

</body>

</html>